Index: trunk/base/Makefile.in
===================================================================
--- trunk/base/Makefile.in	(revision 14430)
+++ trunk/base/Makefile.in	(revision 14467)
@@ -16,5 +16,5 @@
 
 install::
-	$(INSTALL) -o ${DSTUSR} -g ${DSTGRP} -m 644 dp_version ${portconfigdir}
+	$(INSTALL) -o ${DSTUSR} -g ${DSTGRP} -m 644 dp_version ${DESTDIR}${portconfigdir}
 	@echo ""
 	@echo "Congratulations, you have successfully installed the DarwinPorts system."
Index: trunk/base/Mk/dports.autoconf.mk.in
===================================================================
--- trunk/base/Mk/dports.autoconf.mk.in	(revision 14430)
+++ trunk/base/Mk/dports.autoconf.mk.in	(revision 14467)
@@ -15,5 +15,5 @@
 TCL_CC			= @TCL_CC@
 SHLIB_LD		= @SHLIB_LD@
-LDFLAGS_LIBCURL = @LDFLAGS_LIBCURL@
+LDFLAGS_LIBCURL		= @LDFLAGS_LIBCURL@
 LDFLAGS			= @LDFLAGS@ $(LDFLAGS_LIBCURL)
 SHLIB_LDFLAGS		= @LDFLAGS@
Index: trunk/base/src/darwinports1.0/Makefile
===================================================================
--- trunk/base/src/darwinports1.0/Makefile	(revision 14430)
+++ trunk/base/src/darwinports1.0/Makefile	(revision 14467)
@@ -24,5 +24,5 @@
 	done
 
-	echo "${TCL_PACKAGE_DIR}" > ${prefix}/var/db/dports/.tclpackage
+	echo "${TCL_PACKAGE_DIR}" > ${DESTDIR}${prefix}/var/db/dports/.tclpackage
 
 	$(SILENT) $(TCLSH) ../pkg_mkindex.tcl ${INSTALLDIR}
Index: trunk/base/src/package1.0/Makefile
===================================================================
--- trunk/base/src/package1.0/Makefile	(revision 14430)
+++ trunk/base/src/package1.0/Makefile	(revision 14467)
@@ -15,6 +15,4 @@
 
 install::
-	$(INSTALL) -d -o ${DSTUSR} -g ${DSTGRP} -m ${DSTMODE} ${DESTDIR}${datadir}/darwinports
-	$(INSTALL) -d -o ${DSTUSR} -g ${DSTGRP} -m ${DSTMODE} ${DESTDIR}${datadir}/darwinports/Tcl
 	$(INSTALL) -d -o ${DSTUSR} -g ${DSTGRP} -m ${DSTMODE} ${INSTALLDIR}
 	$(SILENT)set -x; for file in ${SRCS}; do \
Index: trunk/base/src/port1.0/Makefile
===================================================================
--- trunk/base/src/port1.0/Makefile	(revision 14430)
+++ trunk/base/src/port1.0/Makefile	(revision 14467)
@@ -20,6 +20,4 @@
 
 install::
-	$(INSTALL) -d -o ${DSTUSR} -g ${DSTGRP} -m ${DSTMODE} ${DESTDIR}${datadir}/darwinports
-	$(INSTALL) -d -o ${DSTUSR} -g ${DSTGRP} -m ${DSTMODE} ${DESTDIR}${datadir}/darwinports/Tcl
 	$(INSTALL) -d -o ${DSTUSR} -g ${DSTGRP} -m ${DSTMODE} ${INSTALLDIR}
 	$(SILENT)set -x; for file in ${SRCS}; do \
Index: trunk/base/src/port1.0/resources/Makefile
===================================================================
--- trunk/base/src/port1.0/resources/Makefile	(revision 14430)
+++ trunk/base/src/port1.0/resources/Makefile	(revision 14467)
@@ -7,5 +7,4 @@
 
 install::
-	$(INSTALL) -d -o ${DSTUSR} -g ${DSTGRP} -m ${DSTMODE} ${DESTDIR}${datadir}/darwinports/resources
 	$(INSTALL) -d -o ${DSTUSR} -g ${DSTGRP} -m ${DSTMODE} ${INSTALLDIR}
 #	$(SILENT)set -x; for file in ${RSRCS}; do \
Index: trunk/base/src/portindex/Makefile
===================================================================
--- trunk/base/src/portindex/Makefile	(revision 14430)
+++ trunk/base/src/portindex/Makefile	(revision 14467)
@@ -13,20 +13,20 @@
 
 install: all
-	mkdir -p $(PREFIX)
-	chown www:www $(PREFIX)
-	chmod 0775 $(PREFIX)
-	$(INSTALL) -m 644 register.html $(PREFIX)
-	mkdir -p $(cgibin)
-	chown www:www $(cgibin)
-	chmod 0775 $(cgibin)
-	$(INSTALL) -m 755 portsubmit.cgi $(cgibin)
-	$(INSTALL) -m 755 portregister.cgi $(cgibin)
-	mkdir -p $(portindex)
-	chown www:www $(portindex)
-	chmod 0775 $(portindex)
-	mkdir -p $(portfiles)
-	chown www:www $(portfiles)
-	chmod 0775 $(portfiles)
-	$(INSTALL) -m 644 initialize.sql $(portindex)
+	mkdir -p ${DESTDIR}$(PREFIX)
+	chown www:www ${DESTDIR}$(PREFIX)
+	chmod 0775 ${DESTDIR}$(PREFIX)
+	$(INSTALL) -m 644 register.html ${DESTDIR}$(PREFIX)
+	mkdir -p ${DESTDIR}$(cgibin)
+	chown www:www ${DESTDIR}$(cgibin)
+	chmod 0775 ${DESTDIR}$(cgibin)
+	$(INSTALL) -m 755 portsubmit.cgi ${DESTDIR}$(cgibin)
+	$(INSTALL) -m 755 portregister.cgi ${DESTDIR}$(cgibin)
+	mkdir -p ${DESTDIR}$(portindex)
+	chown www:www ${DESTDIR}$(portindex)
+	chmod 0775 ${DESTDIR}$(portindex)
+	mkdir -p ${DESTDIR}$(portfiles)
+	chown www:www ${DESTDIR}$(portfiles)
+	chmod 0775 ${DESTDIR}$(portfiles)
+	$(INSTALL) -m 644 initialize.sql ${DESTDIR}$(portindex)
 
 clean:
Index: trunk/base/src/programs/daemondo/Makefile.in
===================================================================
--- trunk/base/src/programs/daemondo/Makefile.in	(revision 14430)
+++ trunk/base/src/programs/daemondo/Makefile.in	(revision 14467)
@@ -1,3 +1,3 @@
-# $Id: Makefile.in,v 1.5 2005/08/25 13:27:35 pguyot Exp $
+# $Id: Makefile.in,v 1.6 2005/10/08 02:20:40 jmpp Exp $
 
 top_srcdir = @top_srcdir@
@@ -22,5 +22,5 @@
 ${PROGRAM}: ${OBJS}
 	${CC} ${CFLAGS} -o ${PROGRAM} ${LIBS} ${OBJS}
-	
+
 mkdirs:
 	mkdir -p build
@@ -33,5 +33,5 @@
 
 install:
-	${INSTALL} -o ${DSTUSR} -g ${DSTGRP} -m 555 ${PROGRAM} ${bindir}
+	${INSTALL} -o ${DSTUSR} -g ${DSTGRP} -m 555 ${PROGRAM} ${DESTDIR}${bindir}
 
 test:
Index: trunk/base/src/programs/mtree/Makefile.in
===================================================================
--- trunk/base/src/programs/mtree/Makefile.in	(revision 14430)
+++ trunk/base/src/programs/mtree/Makefile.in	(revision 14467)
@@ -61,5 +61,5 @@
 
 install:
-	${INSTALL} ${PROG} ${bindir}
-	${INSTALL} -m 755 -d ${mandircat8}
-	${INSTALL} -m 444 ${PROG}.cat8 ${mandircat8}/${PROG}.0
+	${INSTALL} ${PROG} ${DESTDIR}${bindir}
+	${INSTALL} -m 755 -d ${DESTDIR}${mandircat8}
+	${INSTALL} -m 444 ${PROG}.cat8 ${DESTDIR}${mandircat8}/${PROG}.0