Index: trunk/dports/devel/boost/Portfile
===================================================================
--- trunk/dports/devel/boost/Portfile	(revision 14695)
+++ trunk/dports/devel/boost/Portfile	(revision 14696)
@@ -1,9 +1,10 @@
-# $Id: Portfile,v 1.4 2005/08/11 21:33:18 rshaw Exp $
-PortSystem		1.0
+# $Id: Portfile,v 1.5 2005/10/18 21:01:46 mww Exp $
+
+PortSystem 1.0
 
 name			boost
-version			1.32.0
+version			1.33.0
 categories		devel
-maintainers		darwinports@opendarwin.org
+maintainers		michel.salim@gmail.com
 description		Collection of portable C++ source libraries
 long_description 	Boost provides free portable peer-reviewed C++ \
@@ -14,19 +15,17 @@
 distname		${name}_[strsed ${version} {g/[.]/_/}]
 use_bzip2		yes
-checksums		md5 e1d1fc7b8fc8c51df4564c2188ca51cb
+checksums		md5 43d87bbd827a8299f408df5efe5f0fd8
 platforms		darwin
 
 depends_build		bin:bjam:boost-jam
 
-patchfiles		patch-Jamfile \
-				patch-libs-python-build-Jamfile \
-				patch-libs-serialization-build-Jamfile \
-				patch-libs-test-build-Jamfile \
-				patch-tools-build-v1-allyourbase.jam \
-				patch-tools-build-v1-darwin-tools.jam \
-				patch-tools-build-v1-python.jam \
-				patch-darwin-tools.jam
+patchfiles		patch-libs-test-build-Jamfile \
+				patch-tools-build-v1-allyourbase.jam
 
 # Note: Boost will not build properly on Jaguar (to my knowledge)
+# Additional note: MACOSX_DEPLOYMENT_TARGET of at least 10.3 necessary
+# to allow dynamic lookup at runtime, preventing libtool to fail when
+# building tests
+
 platform darwin {
 	build.env-append	MACOSX_DEPLOYMENT_TARGET=10.3
@@ -71,4 +70,14 @@
 }
 
+variant icu {
+	depends_lib		lib:libicuuc:icu
+
+	build.args-append	-sHAVE_ICU=1 \
+					-sICU_PATH=${prefix}
+
+	destroot.args-append	-sHAVE_ICU=1 \
+					-sICU_PATH=${prefix}
+}
+
 variant python {
 	set pyversion	2.4
Index: trunk/dports/devel/boost/files/patch-Jamfile
===================================================================
--- trunk/dports/devel/boost/files/patch-Jamfile	(revision 14695)
+++ 	(revision )
@@ -1,10 +1,0 @@
---- ../boost_1_31_0.orig/Jamfile	Thu Jan  8 19:28:22 2004
-+++ Jamfile	Sat Oct 30 13:00:38 2004
-@@ -113,6 +113,7 @@
- # object code libraries
- local lib-locate = [ MATCH "^--libdir=(.*)" : $(ARGV) ] ;
- lib-locate ?= $(exec-locate)/lib ;
-+gLIB_INSTALL_DIR ?= $(lib-locate) ;
- 
- # where to build
- local all-locate = [ MATCH "^--builddir=(.*)" : $(ARGV) ] ;
Index: trunk/dports/devel/boost/files/patch-darwin-tools.jam
===================================================================
--- trunk/dports/devel/boost/files/patch-darwin-tools.jam	(revision 14695)
+++ 	(revision )
@@ -1,10 +1,0 @@
---- tools/build/v1/darwin-tools.jam.orig	2005-04-06 19:57:56.000000000 -0700
-+++ tools/build/v1/darwin-tools.jam	2005-04-06 20:01:04.000000000 -0700
-@@ -99,7 +99,6 @@
- }
- if ! [ MATCH "(g[+][+])" : $(.GXX) ]
- {
--    flags darwin C++FLAGS : -fcoalesce-templates ;
- }
- flags darwin LINKFLAGS <runtime-link>static : -static-libgcc ;
- flags darwin CFLAGS <debug-symbols>on : -g ;
Index: trunk/dports/devel/boost/files/patch-libs-python-build-Jamfile
===================================================================
--- trunk/dports/devel/boost/files/patch-libs-python-build-Jamfile	(revision 14695)
+++ 	(revision )
@@ -1,11 +1,0 @@
---- ../boost_1_31_0.orig/libs/python/build/Jamfile	Tue Nov  4 10:30:37 2003
-+++ libs/python/build/Jamfile	Sat Oct 30 15:28:34 2004
-@@ -62,7 +62,7 @@
-       <define>BOOST_PYTHON_SOURCE
-       $(bpl-linkflags)
-         <msvc-stlport><release>$(msvc-stlport-workarounds)
--        <darwin><*><linkflags>-bind_at_load
-+		<darwin><*><linkflags>"-undefined dynamic_lookup -flat_namespace"
-       ;
- 
-   template extension
Index: trunk/dports/devel/boost/files/patch-libs-serialization-build-Jamfile
===================================================================
--- trunk/dports/devel/boost/files/patch-libs-serialization-build-Jamfile	(revision 14695)
+++ 	(revision )
@@ -1,18 +1,0 @@
---- libs/serialization/build/Jamfile.orig	Thu Feb 17 21:47:31 2005
-+++ libs/serialization/build/Jamfile	Thu Feb 17 21:47:42 2005
-@@ -61,6 +61,7 @@
-         <msvc><*><cxxflags>-Gy
-         <vc7><*><cxxflags>-Gy
-         <vc7_1><*><cxxflags>-Gy
-+        <darwin><release><inlining>off
-         <define>BOOST_TEST_NO_AUTO_LINK=1
-     : ## default-build
-         <runtime-link>static/dynamic <threading>single/multi
-@@ -82,6 +83,7 @@
-         <msvc><*><cxxflags>-Gy
-         <vc7><*><cxxflags>-Gy
-         <vc7_1><*><cxxflags>-Gy
-+        <darwin><release><inlining>off
-         <define>BOOST_TEST_NO_AUTO_LINK=1
-         <vacpp><*><define>BOOST_MPL_USE_APPLY_INTERNALLY
-     : ## default-build
Index: trunk/dports/devel/boost/files/patch-libs-test-build-Jamfile
===================================================================
--- trunk/dports/devel/boost/files/patch-libs-test-build-Jamfile	(revision 14695)
+++ trunk/dports/devel/boost/files/patch-libs-test-build-Jamfile	(revision 14696)
@@ -1,6 +1,6 @@
---- ../boost_1_31_0.orig/libs/test/build/Jamfile	Sun Nov 30 16:42:37 2003
-+++ libs/test/build/Jamfile	Sat Oct 30 16:10:18 2004
-@@ -56,13 +56,16 @@
- if ! $(NT)
+--- libs/test/build/Jamfile.orig	2005-05-02 01:25:06.000000000 -0500
++++ libs/test/build/Jamfile	2005-10-17 14:56:13.000000000 -0500
+@@ -69,13 +69,16 @@
+ if ! $(NT) && ( ! $(UNIX) || $(OS) != CYGWIN )
  {
  dll boost_prg_exec_monitor    : <template>boost_test_lib
Index: trunk/dports/devel/boost/files/patch-tools-build-v1-darwin-tools.jam
===================================================================
--- trunk/dports/devel/boost/files/patch-tools-build-v1-darwin-tools.jam	(revision 14695)
+++ 	(revision )
@@ -1,14 +1,0 @@
---- ../boost_1_31_0.orig/tools/build/v1/darwin-tools.jam	Sat Nov 15 07:41:41 2003
-+++ tools/build/v1/darwin-tools.jam	Mon Nov  1 11:30:06 2004
-@@ -156,8 +156,9 @@
-     DEPENDS $(<) : $(NEEDLIBS) $(NEEDIMPS) ;
-     if $(TARGET_TYPE) in $(SHARED_TYPES) && $(LINK_FORMAT) != bundle
-     {
--        #~ LINKFLAGS on $(<) +=
--            #~ "-Wl,-dylib_compatibility_version,$(DLLVERSION) -W,l-dylib_current_version,$(DLLVERSION)" ;
-+        LINKFLAGS on $(<) += "-Wl,-dylib_compatibility_version,$(DLLVERSION)" ;
-+        LINKFLAGS on $(<) += "-Wl,-dylib_current_version,$(DLLVERSION)" ;
-+        LINKFLAGS on $(<) += "-Wl,-dylib_install_name,$(<:G=:D=$(gLIB_INSTALL_DIR))" ;
-         darwin-Link-DyLib-action $(<) : $(>) ;
-     }
-     else
Index: trunk/dports/devel/boost/files/patch-tools-build-v1-python.jam
===================================================================
--- trunk/dports/devel/boost/files/patch-tools-build-v1-python.jam	(revision 14695)
+++ 	(revision )
@@ -1,76 +1,0 @@
---- tools/build/v1/python.jam.orig	Wed Jan 28 17:52:25 2004
-+++ tools/build/v1/python.jam	Thu Jun 10 19:38:51 2004
-@@ -63,10 +63,10 @@
-     CYGWIN_PYTHON_DEBUG_DLL_PATH ?= $(CYGWIN_PYTHON_DEBUG_ROOT)/bin ;
-     CYGWIN_PYTHON_DEBUG_LIB_PATH ?= $(CYGWIN_PYTHON_DEBUG_ROOT)/lib/python$(CYGWIN_PYTHON_DEBUG_VERSION)/config ;
- }
--else if $(UNIX) && $(OS) = MACOSX
--{
--    PYTHON_EMBEDDED_LIBRARY = ;
--}
-+#else if $(UNIX) && $(OS) = MACOSX
-+#{
-+#    PYTHON_EMBEDDED_LIBRARY = ;
-+#}
- else
- {
-     PYTHON_EMBEDDED_LIBRARY = python$(PYTHON_VERSION) dl util ;
-@@ -89,32 +89,32 @@
-     PYTHON_IMPORT_LIB ?= [ GLOB $(PYTHON_LIB_PATH) : libpython$(PYTHON_VERSION_NODOT).* ] ;
-     PYTHON_DEBUG_IMPORT_LIB ?= [ GLOB $(PYTHON_LIB_PATH) : libpython$(PYTHON_VERSION_NODOT).* ] ;
- }
--else if $(UNIX) && $(OS) = MACOSX
--{
--    if ! $(PYTHON_ROOT)
--    {
--        if [ GLOB /System/Library/Frameworks : Python.framework ]
--        {
--            PYTHON_ROOT ?= /System/Library/Frameworks/Python.framework/Versions/$(PYTHON_VERSION) ;
--        }
--        else
--        {
--            PYTHON_ROOT ?= /Library/Frameworks/Python.framework/Versions/$(PYTHON_VERSION) ;
--        }
--    }
--    PYTHON_ROOT = $(PYTHON_ROOT:J=" ") ;
--    PYTHON_INCLUDES ?= $(PYTHON_ROOT)/include/python$(PYTHON_VERSION) ;
--    PYTHON_FRAMEWORK ?= $(PYTHON_ROOT) ;
--    while $(PYTHON_FRAMEWORK:D=) && $(PYTHON_FRAMEWORK:D=) != Python.framework
--    {
--        PYTHON_FRAMEWORK = $(PYTHON_FRAMEWORK:D) ;
--    }
--    PYTHON_FRAMEWORK = $(PYTHON_FRAMEWORK:D)/Python ;
--
--    PYTHON_PROPERTIES ?=
--      <sysinclude>$(PYTHON_INCLUDES)
--      ;
--}
-+#else if $(UNIX) && $(OS) = MACOSX
-+#{
-+#    if ! $(PYTHON_ROOT)
-+#    {
-+#        if [ GLOB /System/Library/Frameworks : Python.framework ]
-+#        {
-+#            PYTHON_ROOT ?= /System/Library/Frameworks/Python.framework/Versions/$(PYTHON_VERSION) ;
-+#        }
-+#        else
-+#        {
-+#            PYTHON_ROOT ?= /Library/Frameworks/Python.framework/Versions/$(PYTHON_VERSION) ;
-+#        }
-+#    }
-+#    PYTHON_ROOT = $(PYTHON_ROOT:J=" ") ;
-+#    PYTHON_INCLUDES ?= $(PYTHON_ROOT)/include/python$(PYTHON_VERSION) ;
-+#    PYTHON_FRAMEWORK ?= $(PYTHON_ROOT) ;
-+#    while $(PYTHON_FRAMEWORK:D=) && $(PYTHON_FRAMEWORK:D=) != Python.framework
-+#    {
-+#        PYTHON_FRAMEWORK = $(PYTHON_FRAMEWORK:D) ;
-+#    }
-+#    PYTHON_FRAMEWORK = $(PYTHON_FRAMEWORK:D)/Python ;
-+#
-+#    PYTHON_PROPERTIES ?=
-+#      <sysinclude>$(PYTHON_INCLUDES)
-+#      ;
-+#}
- else if $(UNIX)
- {
-     PYTHON_ROOT ?= /usr/local ;