Index: trunk/dports/net/net6/Portfile
===================================================================
--- trunk/dports/net/net6/Portfile	(revision 15088)
+++ trunk/dports/net/net6/Portfile	(revision 15091)
@@ -1,22 +1,25 @@
-# $Id: Portfile,v 1.2 2005/09/28 17:55:05 toby Exp $
+# $Id: Portfile,v 1.3 2005/11/20 20:03:44 pkern Exp $
 
 PortSystem 1.0
 name		net6
-version		1.1.0
+version		1.2.0
 categories	net
-maintainers	pkern@debian.org
+maintainers	pkern@opendarwin.org
 description	Network access framework for IPv4/IPv6
 homepage	http://darcs.0x539.de/trac/obby/
 platforms	darwin freebsd
 
-long_description net6 is a library which eases the development of \
-                 network-based applications as it provides a TCP and UDP \
-                 protocol abstraction for C++. It is portable to both Windows \
-                 and POSIX platforms.
+long_description \
+		net6 is a library which eases the development of \
+		network-based applications as it provides a TCP and UDP \
+		protocol abstraction for C++. It is portable to both Windows \
+		and POSIX platforms.
 
-master_sites	http://releases.0x539.de/net6/
+master_sites	http://gentoo.osuosl.org/distfiles/ \
+		http://releases.0x539.de/net6/
 
-checksums	md5 522229474ff554a4ce883002011d0fbb
+checksums	md5 70a3572bcf8148a46cc26727223a8a75
 
 depends_build	port:pkgconfig
 depends_lib	{port:libsigc\+\+2}
+
Index: trunk/dports/net/obby/Portfile
===================================================================
--- trunk/dports/net/obby/Portfile	(revision 15088)
+++ trunk/dports/net/obby/Portfile	(revision 15091)
@@ -1,21 +1,22 @@
-# $Id: Portfile,v 1.1 2005/09/28 17:56:23 toby Exp $
+# $Id: Portfile,v 1.2 2005/11/20 20:03:44 pkern Exp $
 
 PortSystem 1.0
 name		obby
-version		0.2.1
+version		0.3.0rc1
 categories	net
-maintainers	pkern@debian.org
+maintainers	pkern@opendarwin.org
 description	Synced document buffers
 homepage	http://darcs.0x539.de/trac/obby/
 platforms	darwin freebsd
 
-long_description obby is a library which provides synced document buffers. \
-                 It supports multiple documents in one session and is portable \
-                 to both Windows and POSIX platforms.
+long_description \
+		obby is a library which provides synced document buffers. \
+		It supports multiple documents in one session and is portable \
+		to both Windows and POSIX platforms.
 
 master_sites	http://gentoo.osuosl.org/distfiles/ \
-                http://releases.0x539.de/obby/
+		http://releases.0x539.de/obby/
 
-checksums	md5 5e28bfbf6e72b007aa6d055594754810
+checksums	md5 c42599423aa8cc1ff5cd374806984edf
 
 depends_build	port:pkgconfig
@@ -26,2 +27,3 @@
 
 configure.args	--with-howl --with-libgmpxx-prefix=${prefix}
+
Index: trunk/dports/net/sobby/Portfile
===================================================================
--- trunk/dports/net/sobby/Portfile	(revision 15091)
+++ trunk/dports/net/sobby/Portfile	(revision 15091)
@@ -0,0 +1,25 @@
+# $Id: Portfile,v 1.1 2005/11/20 20:03:44 pkern Exp $
+
+PortSystem 1.0
+name		sobby
+version		0.3.0rc1
+categories	x11 net
+maintainers	pkern@opendarwin.org
+description	Dedicated server for collaborative editing
+homepage	http://darcs.0x539.de/trac/obby/
+platforms	darwin freebsd
+
+long_description \
+		Sobby is a standalone server for collaborative editing \
+		based on obby, a library providing synced document buffers.
+
+master_sites	http://releases.0x539.de/sobby/
+
+checksums	md5 cf6e2a3276f9323084f5ec5e79356223
+
+depends_build	port:pkgconfig
+depends_lib	port:glib2 \
+		port:glibmm \
+		port:net6 \
+		port:obby
+
Index: trunk/dports/x11/gobby/Portfile
===================================================================
--- trunk/dports/x11/gobby/Portfile	(revision 15088)
+++ trunk/dports/x11/gobby/Portfile	(revision 15091)
@@ -1,22 +1,23 @@
-# $Id: Portfile,v 1.1 2005/10/17 21:17:36 mww Exp $
+# $Id: Portfile,v 1.2 2005/11/20 20:03:45 pkern Exp $
 
 PortSystem 1.0
 name		gobby
-version		0.2.2
+version		0.3.0rc1
 categories	x11 net
-maintainers	pkern@debian.org
+maintainers	pkern@opendarwin.org
 description	Realtime collaborative editor
 homepage	http://gobby.0x539.de/
 platforms	darwin freebsd
 
-long_description Gobby is a free collaborative editor which enables you \
-                 to edit files simultaneously with other users over a network. \
-                 It supports multiple documents in one session and is portable \
-                 to both Windows and POSIX platforms.
+long_description \
+		Gobby is a free collaborative editor which enables you \
+		to edit files simultaneously with other users over a network. \
+		It supports multiple documents in one session and is portable \
+		to both Windows and POSIX platforms.
 
 master_sites	http://gentoo.osuosl.org/distfiles/ \
                 http://releases.0x539.de/gobby/
 
-checksums	md5 9a1b61ee3aebe737e5d9918f7601b5d4
+checksums	md5 a5d96561f64a19a41acaba6f559f2c6e
 
 depends_build	port:pkgconfig