Index: trunk/dports/audio/twolame/Portfile
===================================================================
--- trunk/dports/audio/twolame/Portfile	(revision 15406)
+++ trunk/dports/audio/twolame/Portfile	(revision 15407)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.1 2005/10/08 13:07:35 yeled Exp $
+# $Id: Portfile,v 1.2 2005/12/10 23:01:09 joe Exp $
 
 PortSystem 1.0
@@ -7,5 +7,5 @@
 categories		multimedia
 platforms		darwin
-maintainers		joe@netmusician.org
+maintainers		joe@opendarwin.org
 description		TwoLAME is an optimized MPEG Audio Layer 2 encoder
 long_description	${description}
Index: trunk/dports/www/gallery/Portfile
===================================================================
--- trunk/dports/www/gallery/Portfile	(revision 15406)
+++ trunk/dports/www/gallery/Portfile	(revision 15407)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.3 2005/12/09 02:38:38 joe Exp $
+# $Id: Portfile,v 1.4 2005/12/10 22:53:47 joe Exp $
 
 PortSystem 1.0
@@ -6,5 +6,5 @@
 version			2.0.2
 categories		www
-maintainers		joe@netmusician.org
+maintainers		joe@opendarwin.org
 
 description		Gallery is a web based photo album written using PHP
Index: trunk/dports/www/mediawiki/Portfile
===================================================================
--- trunk/dports/www/mediawiki/Portfile	(revision 15406)
+++ trunk/dports/www/mediawiki/Portfile	(revision 15407)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.5 2005/11/09 19:46:03 mww Exp $
+# $Id: Portfile,v 1.6 2005/12/10 22:54:44 joe Exp $
 PortSystem 1.0
 
@@ -5,5 +5,5 @@
 version			1.5.2
 categories		www
-maintainers		joe@netmusician.org
+maintainers		joe@opendarwin.org
 description		The wiki engine used by Wikipedia
 long_description	MediaWiki is the collaborative editing software that runs Wikipedia, \
Index: trunk/dports/www/phpbb/Portfile
===================================================================
--- trunk/dports/www/phpbb/Portfile	(revision 15406)
+++ trunk/dports/www/phpbb/Portfile	(revision 15407)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.1 2005/12/10 22:30:13 joe Exp $
+# $Id: Portfile,v 1.2 2005/12/10 22:56:04 joe Exp $
 PortSystem		1.0
 
@@ -5,5 +5,5 @@
 version			2.0.18
 categories		www
-maintainers		joe@netmusician.org
+maintainers		joe@opendarwin.org
 description		A PHP-based bulletin board / discussion forum system
 long_description	phpBB is a high powered, fully scalable, and highly customisable \
Index: trunk/dports/www/phpmyadmin/Portfile
===================================================================
--- trunk/dports/www/phpmyadmin/Portfile	(revision 15406)
+++ trunk/dports/www/phpmyadmin/Portfile	(revision 15407)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.9 2005/12/07 21:14:55 joe Exp $
+# $Id: Portfile,v 1.10 2005/12/10 22:57:08 joe Exp $
 PortSystem		1.0
 
@@ -5,5 +5,5 @@
 version			2.7.0-pl1
 categories		www
-maintainers		joe@netmusician.org
+maintainers		joe@opendarwin.org
 description		A tool written in PHP intended to handle the administration \
 				of MySQL over the Web.
Index: trunk/dports/www/squirrelmail/Portfile
===================================================================
--- trunk/dports/www/squirrelmail/Portfile	(revision 15406)
+++ trunk/dports/www/squirrelmail/Portfile	(revision 15407)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.1 2005/10/11 11:49:52 mww Exp $
+# $Id: Portfile,v 1.2 2005/12/10 23:02:40 joe Exp $
 
 PortSystem		1.0
@@ -6,5 +6,5 @@
 version			1.4.5
 categories		www mail php
-maintainers		joe@netmusician.org
+maintainers		joe@opendarwin.org
 
 description		A webmail system which accesses mail over IMAP
Index: trunk/dports/www/wordpress/Portfile
===================================================================
--- trunk/dports/www/wordpress/Portfile	(revision 15406)
+++ trunk/dports/www/wordpress/Portfile	(revision 15407)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.1 2005/10/20 08:00:46 mww Exp $
+# $Id: Portfile,v 1.2 2005/12/10 22:58:41 joe Exp $
 
 PortSystem 1.0
@@ -6,5 +6,5 @@
 version			1.5.2
 categories		www
-maintainers		joe@netmusician.org
+maintainers		joe@opendarwin.org
 description		A state-of-the-art semantic personal publishing platform
 long_description	WordPress is a state-of-the-art semantic personal publishing platform \