Index: trunk/www/es/ports.php
===================================================================
--- trunk/www/es/ports.php	(revision 15408)
+++ trunk/www/es/ports.php	(revision 15413)
@@ -78,4 +78,7 @@
 			$query = $query . " AND p.name LIKE '%" . addslashes($substr) . "%'";
 		}
+		if ($by == "library") {
+			$query = $query . " AND p.name='" . addslashes($substr) . "'";
+		}
 		if ($by == "desc") {
 			$query = $query . " AND p.description LIKE '%" . addslashes($substr) . "%'";
@@ -174,7 +177,7 @@
 					while ( $nrow = mysql_fetch_array($nresult) ) {
 						// lib:libpng.3:libpng -> libpng
-						$library = eregi_replace("^[^:]*:[^:]*:", "", $nrow[0]);
-					?>
-						<a href="<?= $PHP_SELF; ?>?by=name&substr=<?= $library; ?>"><?= $library; ?></a>
+						$library = eregi_replace("^([^:]*:[^:]*:|[^:]*:)", "", $nrow[0]);
+					?>
+						<a href="<?= $PHP_SELF; ?>?by=library&substr=<?= $library; ?>"><?= $library; ?></a>
 					<?
 					}
Index: trunk/www/fr/ports.php
===================================================================
--- trunk/www/fr/ports.php	(revision 15408)
+++ trunk/www/fr/ports.php	(revision 15413)
@@ -78,4 +78,7 @@
 			$query = $query . " AND p.name LIKE '%" . addslashes($substr) . "%'";
 		}
+		if ($by == "library") {
+			$query = $query . " AND p.name='" . addslashes($substr) . "'";
+		}
 		if ($by == "desc") {
 			$query = $query . " AND p.description LIKE '%" . addslashes($substr) . "%'";
@@ -174,7 +177,7 @@
 					while ( $nrow = mysql_fetch_array($nresult) ) {
 						// lib:libpng.3:libpng -> libpng
-						$library = eregi_replace("^[^:]*:[^:]*:", "", $nrow[0]);
-					?>
-						<a href="<?= $PHP_SELF; ?>?by=name&substr=<?= $library; ?>"><?= $library; ?></a>
+						$library = eregi_replace("^([^:]*:[^:]*:|[^:]*:)", "", $nrow[0]);
+					?>
+						<a href="<?= $PHP_SELF; ?>?by=library&substr=<?= $library; ?>"><?= $library; ?></a>
 					<?
 					}
Index: trunk/www/it/ports.php
===================================================================
--- trunk/www/it/ports.php	(revision 15408)
+++ trunk/www/it/ports.php	(revision 15413)
@@ -79,4 +79,7 @@
 			$query = $query . " AND p.name LIKE '%" . addslashes($substr) . "%'";
 		}
+		if ($by == "library") {
+			$query = $query . " AND p.name='" . addslashes($substr) . "'";
+		}
 		if ($by == "desc") {
 			$query = $query . " AND p.description LIKE '%" . addslashes($substr) . "%'";
@@ -175,7 +178,7 @@
 					while ( $nrow = mysql_fetch_array($nresult) ) {
 						// lib:libpng.3:libpng -> libpng
-						$library = eregi_replace("^[^:]*:[^:]*:", "", $nrow[0]);
-					?>
-						<a href="<?= $PHP_SELF; ?>?by=name&substr=<?= $library; ?>"><?= $library; ?></a>
+						$library = eregi_replace("^([^:]*:[^:]*:|[^:]*:)", "", $nrow[0]);
+					?>
+						<a href="<?= $PHP_SELF; ?>?by=library&substr=<?= $library; ?>"><?= $library; ?></a>
 					<?
 					}
Index: trunk/www/ports.php
===================================================================
--- trunk/www/ports.php	(revision 15408)
+++ trunk/www/ports.php	(revision 15413)
@@ -78,4 +78,7 @@
 			$query = $query . " AND p.name LIKE '%" . addslashes($substr) . "%'";
 		}
+		if ($by == "library") {
+			$query = $query . " AND p.name='" . addslashes($substr) . "'";
+		}
 		if ($by == "desc") {
 			$query = $query . " AND p.description LIKE '%" . addslashes($substr) . "%'";
@@ -174,7 +177,7 @@
 					while ( $nrow = mysql_fetch_array($nresult) ) {
 						// lib:libpng.3:libpng -> libpng
-						$library = eregi_replace("^[^:]*:[^:]*:", "", $nrow[0]);
-					?>
-						<a href="<?= $PHP_SELF; ?>?by=name&substr=<?= $library; ?>"><?= $library; ?></a>
+						$library = eregi_replace("^([^:]*:[^:]*:|[^:]*:)", "", $nrow[0]);
+					?>
+						<a href="<?= $PHP_SELF; ?>?by=library&substr=<?= $library; ?>"><?= $library; ?></a>
 					<?
 					}
Index: trunk/www/ru/ports.php
===================================================================
--- trunk/www/ru/ports.php	(revision 15408)
+++ trunk/www/ru/ports.php	(revision 15413)
@@ -77,4 +77,7 @@
 			$query = $query . " AND p.name LIKE '%" . addslashes($substr) . "%'";
 		}
+		if ($by == "library") {
+			$query = $query . " AND p.name='" . addslashes($substr) . "'";
+		}
 		if ($by == "desc") {
 			$query = $query . " AND p.description LIKE '%" . addslashes($substr) . "%'";
@@ -173,7 +176,7 @@
 					while ( $nrow = mysql_fetch_array($nresult) ) {
 						// lib:libpng.3:libpng -> libpng
-						$library = eregi_replace("^[^:]*:[^:]*:", "", $nrow[0]);
-					?>
-						<a href="<?= $PHP_SELF; ?>?by=name&substr=<?= $library; ?>"><?= $library; ?></a>
+						$library = eregi_replace("^([^:]*:[^:]*:|[^:]*:)", "", $nrow[0]);
+					?>
+						<a href="<?= $PHP_SELF; ?>?by=library&substr=<?= $library; ?>"><?= $library; ?></a>
 					<?
 					}