Index: trunk/dports/devel/libsockets/Portfile
===================================================================
--- trunk/dports/devel/libsockets/Portfile	(revision 15444)
+++ trunk/dports/devel/libsockets/Portfile	(revision 15445)
@@ -1,8 +1,8 @@
-# $Id: Portfile,v 1.12 2005/08/30 09:31:59 mww Exp $
+# $Id: Portfile,v 1.13 2005/12/12 12:13:59 mww Exp $
 
 PortSystem 1.0
 
 name			libsockets
-version			1.9.5
+version			1.9.9
 categories		devel net
 platforms		darwin
@@ -17,5 +17,6 @@
 				Sockets-${version}.tar.gz:tar
 checksums		uuid.h md5 f7e7d521202d499bc0761ec2bc9516a5 \
-				Sockets-${version}.tar.gz md5 918120416e3397629c06b20d6bcf1917
+				Sockets-${version}.tar.gz md5 f375bd3328e3ac5f0a171e3524c6605b
+patchfiles		patch-Makefile
 
 depends_lib		port:openssl
@@ -28,13 +29,9 @@
 }
 
-variant darwin	{
-	patchfiles	patch-darwin-Makefile
-}
-
 use_configure	no
 
 build.args		PREFIX=${prefix}
-build.env		CFLAGS=-I${prefix}/include \
-				LDFLAGS=-L${prefix}/lib
+build.env		CFLAGS=-I${prefix}/include LDFLAGS=-L${prefix}/lib
 
 destroot.destdir	PREFIX=${destroot}${prefix}
+
Index: trunk/dports/devel/libsockets/files/patch-Makefile
===================================================================
--- trunk/dports/devel/libsockets/files/patch-Makefile	(revision 15445)
+++ trunk/dports/devel/libsockets/files/patch-Makefile	(revision 15445)
@@ -0,0 +1,43 @@
+--- work/Sockets-1.9.9/Makefile	2005-11-17 00:04:47.000000000 +0100
++++ Makefile	2005-12-12 13:09:29.000000000 +0100
+@@ -12,7 +12,7 @@
+ 
+ # uncomment depending on your operating system
+ #CFLAGS +=	-DLINUX
+-#CFLAGS +=	-DMACOSX 
++CFLAGS +=	-DMACOSX 
+ # solaris > 8
+ #CFLAGS +=	-DSOLARIS
+ # solaris 8
+@@ -35,7 +35,7 @@
+ 
+ PROGS =		
+ 
+-all:		libSockets.a $(PROGS) libSocketsEx.a Sockets-config 
++all:		libSockets.a $(PROGS) libSocketsEx.a Sockets-config libSockets.$(VERSION).dylib
+ 
+ Sockets-config:	Sockets-config.o
+ 		g++ -o $@ $^
+@@ -89,14 +89,19 @@
+ 			/usr/local/bin/d2html > \
+ 			$(HTDOCS)/Sockets/latest_diff.html
+ 
++libSockets.$(VERSION).dylib: $(OBJS) $(EX)
++		g++ -dynamiclib $(OBJS) $(LDFLAGS) -lssl -lcrypto -o $@ -install_name $(PREFIX)/lib/$@ -current_version $(VERSION) -compatibility_version $(VERSION)
++
+ install:	all
+ 		@mkdir -p $(PREFIX)/lib
+-		cp libSockets.a $(PREFIX)/lib
+-		cp libSocketsEx.a $(PREFIX)/lib
++		install -m 644 libSockets.a $(PREFIX)/lib
++		install -m 644 libSocketsEx.a $(PREFIX)/lib
+ 		@mkdir -p $(PREFIX)/include/Sockets
+-		cp -a *.h $(PREFIX)/include/Sockets
++		cp *.h $(PREFIX)/include/Sockets
+ 		@mkdir -p $(PREFIX)/bin
+ 		install Sockets-config $(PREFIX)/bin
++		install -m 644 libSockets.$(VERSION).dylib $(PREFIX)/lib
++		cd $(PREFIX)/lib && ln -s libSockets.$(VERSION).dylib libSockets.dylib
+ 
+ clean:
+ 		rm -f *.o *~ slask *.d $(PROGS) *.a */*~
Index: trunk/dports/devel/libsockets/files/patch-darwin-Makefile
===================================================================
--- trunk/dports/devel/libsockets/files/patch-darwin-Makefile	(revision 15444)
+++ 	(revision )
@@ -1,43 +1,0 @@
---- Makefile	2005-08-30 09:22:22.000000000 +0200
-+++ Makefile	2005-08-30 11:03:10.000000000 +0200
-@@ -11,7 +11,7 @@
- 
- # uncomment depending on your operating system
- #CFLAGS +=	-DLINUX
--#CFLAGS +=	-DMACOSX 
-+CFLAGS +=	-DMACOSX 
- # solaris > 8
- #CFLAGS +=	-DSOLARIS
- # solaris 8
-@@ -33,7 +33,7 @@
- 
- PROGS =		
- 
--all:		libSockets.a $(PROGS) libSocketsEx.a Sockets-config
-+all:		libSockets.a $(PROGS) libSocketsEx.a Sockets-config libSockets.$(VERSION).dylib
- 
- Sockets-config:	Sockets-config.o
- 		g++ -o $@ $^
-@@ -82,14 +82,19 @@
- 		ar cru $@ $(EX)
- 		ranlib $@
- 
-+libSockets.$(VERSION).dylib: $(OBJS) $(EX)
-+		g++ -dynamiclib $(OBJS) $(LDFLAGS) -lssl -lcrypto -o $@ -install_name $(PREFIX)/lib/$@ -current_version $(VERSION) -compatibility_version $(VERSION)
-+
- install:	all
- 		@mkdir -p $(PREFIX)/lib
--		cp libSockets.a $(PREFIX)/lib
--		cp libSocketsEx.a $(PREFIX)/lib
-+		install -m 644 libSockets.a $(PREFIX)/lib
-+		install -m 644 libSocketsEx.a $(PREFIX)/lib
- 		@mkdir -p $(PREFIX)/include/Sockets
--		cp -a *.h $(PREFIX)/include/Sockets
-+		cp *.h $(PREFIX)/include/Sockets
- 		@mkdir -p $(PREFIX)/bin
- 		install Sockets-config $(PREFIX)/bin
-+		install -m 644 libSockets.$(VERSION).dylib $(PREFIX)/lib
-+		cd $(PREFIX)/lib && ln -s libSockets.$(VERSION).dylib libSockets.dylib
- 
- clean:
- 		rm -f *.o *~ slask *.d $(PROGS) *.a */*~