Index: trunk/www/es/includes/functions.inc
===================================================================
--- trunk/www/es/includes/functions.inc	(revision 15437)
+++ trunk/www/es/includes/functions.inc	(revision 15457)
@@ -1,5 +1,5 @@
-	<?php
-
-# $Id: functions.inc,v 1.2 2004/09/14 18:05:17 matt Exp $
+<?php
+
+# $Id: functions.inc,v 1.3 2005/12/12 18:56:59 matt Exp $
 # Copyright (c) 2004, OpenDarwin
 
@@ -250,4 +250,20 @@
 			}
 		}
+
+######################################################################
+
+# print the number or available ports
+function print_available_ports() {
+	global $connect;
 	
-	?>
+	$result = mysql_query("SELECT count(*) from darwinports.portfiles");
+	if ($result) {
+		$row = mysql_fetch_array($result);
+		$count = $row[0];
+		echo $count;
+	} else {
+		$count = 0;
+	}
+}
+	
+?>
Index: trunk/www/es/index.php
===================================================================
--- trunk/www/es/index.php	(revision 15437)
+++ trunk/www/es/index.php	(revision 15457)
@@ -13,5 +13,5 @@
 			Darwin, Mac OS X, FreeBSD o Linux.</p>
 
-			<p>En la actualidad hay unos cuantos cientos de <a href="/es/ports/">portes</a>
+			<p>En la actualidad hay <? print_available_ports(); ?> <a href="/es/ports/">portes</a>
 			completados y usables, mientras que más son agregados regularmente. Usted
 			puede conocer sobre los portes recientemente añadidos al susbcribirse a la
Index: trunk/www/fr/includes/functions.inc
===================================================================
--- trunk/www/fr/includes/functions.inc	(revision 15437)
+++ trunk/www/fr/includes/functions.inc	(revision 15457)
@@ -1,5 +1,5 @@
 <?php
 
-# $Id: functions.inc,v 1.8 2005/12/06 18:40:32 matt Exp $
+# $Id: functions.inc,v 1.9 2005/12/12 18:56:59 matt Exp $
 # Copyright (c) 2003, OpenDarwin
 
@@ -276,5 +276,19 @@
 }
 
-
+######################################################################
+
+# print the number or available ports
+function print_available_ports() {
+	global $connect;
+	
+	$result = mysql_query("SELECT count(*) from darwinports.portfiles");
+	if ($result) {
+		$row = mysql_fetch_array($result);
+		$count = $row[0];
+		echo $count;
+	} else {
+		$count = 0;
+	}
+}
 
 ?>
Index: trunk/www/fr/index.php
===================================================================
--- trunk/www/fr/index.php	(revision 15437)
+++ trunk/www/fr/index.php	(revision 15457)
@@ -18,6 +18,6 @@
 	
 	<p>
-	Il y a actuellement environ 2800 <a href="/fr/ports/">ports</a>	opérationnels et
-	disponibles, mais d'autres seront bientôt ajoutés régulièrement. Vous pouvez
+	Il y a actuellement <? print_available_ports(); ?> <a href="/fr/ports/">ports</a>opérationnels
+	et disponibles, mais d'autres seront bientôt ajoutés régulièrement. Vous pouvez
 	prendre connaissance des ports récemment ajoutés en souscrivant à la liste de
 	discussion <a href="http://www.opendarwin.org/mailman/listinfo/cvs-darwinports-all">
Index: trunk/www/includes/functions.inc
===================================================================
--- trunk/www/includes/functions.inc	(revision 15437)
+++ trunk/www/includes/functions.inc	(revision 15457)
@@ -1,5 +1,5 @@
 <?php
 
-# $Id: functions.inc,v 1.5 2005/12/06 18:25:03 mww Exp $
+# $Id: functions.inc,v 1.6 2005/12/12 18:56:58 matt Exp $
 # Copyright (c) 2003, OpenDarwin
 
@@ -276,5 +276,19 @@
 }
 
-
+######################################################################
+
+# print the number or available ports
+function print_available_ports() {
+	global $connect;
+	
+	$result = mysql_query("SELECT count(*) from darwinports.portfiles");
+	if ($result) {
+		$row = mysql_fetch_array($result);
+		$count = $row[0];
+		echo $count;
+	} else {
+		$count = 0;
+	}
+}
 
 ?>
Index: trunk/www/index.php
===================================================================
--- trunk/www/index.php	(revision 15437)
+++ trunk/www/index.php	(revision 15457)
@@ -15,5 +15,5 @@
 	<a href="http://developer.apple.com/darwin/projects/darwin/">Darwin</a>)</p>
 
-      <p>There are currently about 2800 completed and usable <a
+      <p>There are currently about <? print_available_ports(); ?> completed and usable <a
 	href="/ports/">ports</a>, with more being added on a regular basis.
 	You can track recently added ports by subscribing to the <a
Index: trunk/www/it/includes/functions.inc
===================================================================
--- trunk/www/it/includes/functions.inc	(revision 15437)
+++ trunk/www/it/includes/functions.inc	(revision 15457)
@@ -1,5 +1,5 @@
 <?php
 
-# $Id: functions.inc,v 1.3 2005/12/09 15:20:31 riccardo Exp $
+# $Id: functions.inc,v 1.4 2005/12/12 18:56:59 matt Exp $
 # Copyright (c) 2003, OpenDarwin
 
@@ -276,5 +276,19 @@
 }
 
-
+######################################################################
+
+# print the number or available ports
+function print_available_ports() {
+	global $connect;
+	
+	$result = mysql_query("SELECT count(*) from darwinports.portfiles");
+	if ($result) {
+		$row = mysql_fetch_array($result);
+		$count = $row[0];
+		echo $count;
+	} else {
+		$count = 0;
+	}
+}
 
 ?>
Index: trunk/www/ru/includes/functions.inc
===================================================================
--- trunk/www/ru/includes/functions.inc	(revision 15437)
+++ trunk/www/ru/includes/functions.inc	(revision 15457)
@@ -1,5 +1,5 @@
 <?php
 
-# $Id: functions.inc,v 1.1 2004/09/13 23:01:04 matt Exp $
+# $Id: functions.inc,v 1.2 2005/12/12 18:56:59 matt Exp $
 # Copyright (c) 2003, OpenDarwin
 
@@ -254,3 +254,19 @@
 }
 
+######################################################################
+
+# print the number or available ports
+function print_available_ports() {
+	global $connect;
+	
+	$result = mysql_query("SELECT count(*) from darwinports.portfiles");
+	if ($result) {
+		$row = mysql_fetch_array($result);
+		$count = $row[0];
+		echo $count;
+	} else {
+		$count = 0;
+	}
+}
+
 ?>