Index: trunk/www/es/archives.php
===================================================================
--- trunk/www/es/archives.php	(revision 15627)
+++ trunk/www/es/archives.php	(revision 15627)
@@ -0,0 +1,26 @@
+  <?php
+    $DOCUMENT_ROOT = $_SERVER['DOCUMENT_ROOT'];
+    include_once("$DOCUMENT_ROOT/includes/common.inc");
+    include_once("$DOCUMENT_ROOT/includes/functions.inc");
+    print_header('Archivo de Noticias de DarwinPorts', 'iso-8859-1');
+  ?>
+
+    <div id="content">
+	
+		<h2 class="hdr">Archivo de Noticias</h2>
+     <?php
+		if (isset($_GET['id'])) {
+			print_headline();
+		} else {
+			print_all_headlines_nonadmin();
+		}
+      ?>
+
+
+      </div>
+    </div>
+  </div>
+
+<?php
+  print_footer();
+?>
Index: trunk/www/es/downloads/index.php
===================================================================
--- trunk/www/es/downloads/index.php	(revision 15627)
+++ trunk/www/es/downloads/index.php	(revision 15627)
@@ -0,0 +1,32 @@
+  <?php
+    $DOCUMENT_ROOT = $_SERVER['DOCUMENT_ROOT'];
+    include_once("$DOCUMENT_ROOT/es/includes/common.inc");
+    include_once("$DOCUMENT_ROOT/es/includes/functions.inc");
+    print_header('Downloads de DarwinPorts', 'utf-8');
+  ?>
+
+    <div id="content">
+	
+		<h2 class="hdr">Downloads disponibles</h2>
+		<p>
+<?php
+$chemin="$DOCUMENT_ROOT/downloads";
+$rep=opendir($chemin);
+chdir($chemin);
+while($file = readdir($rep)) {
+	if($file != '..' && $file !='.' && (!eregi('php$', $file))) {
+		if(!is_dir($file)) {
+			echo "<a href=\"/downloads/$file\">$file</a>";
+			echo "<br>";
+		}
+	}
+}
+closedir($rep);
+?>
+		</p>
+    </div>
+  </div>
+
+<?php
+  print_footer();
+?>
Index: trunk/www/es/emit_portfile.php
===================================================================
--- trunk/www/es/emit_portfile.php	(revision 15544)
+++ trunk/www/es/emit_portfile.php	(revision 15627)
@@ -16,5 +16,5 @@
 
 //	Read the file as an array of lines
-$target	= "${DOCUMENT_ROOT}/..${_SERVER['PATH_INFO']}";
+$target	= "${DOCUMENT_ROOT}${_SERVER['PATH_INFO']}";
 $lines = @file($target);
 if ($lines)
@@ -69,5 +69,5 @@
 }
 else
-	print "Couldn't open file $target";
+	print "No se pudo abrir el documento $target";
 ?>
 
Index: trunk/www/es/getdp/index.php
===================================================================
--- trunk/www/es/getdp/index.php	(revision 15544)
+++ trunk/www/es/getdp/index.php	(revision 15627)
@@ -8,13 +8,22 @@
 	<div id="content">
 		<h2 class="hdr">Obtención de DarwinPorts</h2>
+
+		<p>La versión <? print "$dp_version"; ?> de DarwinPorts está disponible en forma
+		binaria como una imagen de disco dmg <a href="/downloads/DarwinPorts-<? print "$dp_version"; ?>-10.4.dmg">para Tiger</a>
+		o una <a href="/downloads/DarwinPorts-<? print "$dp_version"; ?>-10.3.dmg">para Panther</a>,
+		ambas conteniendo un instalador pkg, o en forma de código fuente bien sea como un paquete
+		<a href="/downloads/DarwinPorts-<? print "$dp_version"; ?>.tar.bz2">tar.bz2</a>
+		o uno <a href="/downloads/DarwinPorts-<? print "$dp_version"; ?>.tar.gz">tar.gz</a>.
+		Checksums para todos estos se pueden encontrar <a href="/downloads/DarwinPorts-<? print "$dp_version"; ?>.chk.txt">aquí</a>.</p>
+
+		<p>Para obtener un listado de todas nuestras descargas disponibles puede revisar la
+		<a href="/es/downloads/">sección de downloads</a>.</p>
 		
-		<p>Si Usted desea instalar DarwinPorts, primero debe realizar un &ldquo;checkout&rdquo;
-		del proyecto desde el repositorio CVS de OpenDarwin.</p>
-		
-		<p>Por favor note que para instalar y usar DarwinPorts, debe tener instalado bien sea 
-		los &ldquo;Developer Tools&rdquo; de Mac OS X (para 10.2.x) o Xcode (para 10.3.x).</p>
+		<p>Por favor note que para instalar y usar DarwinPorts en Mac OS X, debe tener instalado el paquete
+		Xcode de Apple, que puede encontrar en la <a href="http://developer.apple.com/">Página de Progamadores de Apple</a>
+		(en Inglés) o en sus CDs/DVD de instalación del sistema.</p>
 		
 		<p>Si desea usar DarwinPorts en alguna otra plataforma además de Mac OS X, por favor note
-		las siguientes dependencias (se asume que ya posee lo básico como gcc):</p>
+		los siguientes requisitos (se asume que ya posee lo básico como gcc):</p>
 		<ul>
 			<li>TCL (8.3 u 8.4)</il>
@@ -23,8 +32,77 @@
 		</ul>
 		
-		<p>Use los siguientes comandos para comenzar el &ldquo;checkout&rdquo; del proyecto del
-		repositorio CVS:</p>
+		<h5 class="subhdr">Paquete de instalación para Mac OS X (.pkg)</h5>
+
+		<p>La forma más fácil de instalar DarwinPorts en un sistema Mac OS X es bajando el
+		<a href="/downloads/DarwinPorts-<? print "$dp_version"; ?>-10.4.dmg">dmg para Tiger</a>
+		o el <a href="/downloads/DarwinPorts-<? print "$dp_version"; ?>-10.3.dmg">dmg para Panther</a>
+		y correr Installer.app en el pkg ahí contenido al hacer doble click sobre ellos, siguendo
+		las instrucciones del instalador hasta el final. Este procedimiento colocará una instalación
+		de DarwinPorts completamente funcional y configurada con las opciones por defecto en su sistema,
+		lista para su uso. De ser necesario, los documentos de configuración de su shell serán adaptados
+		por el instalador para incluir los settings necesarios para usar DarwinPorts. Es posible que
+		tenga que abrir un nuevo shell para que estos cambios se hagan efectivos.</p>
+
+		<p>Aunque no es estrictamente necesario, se recomienda de todas formas sincronizar la reciente
+		instalación de DarwinPorts con nuestro servidor de rsync para asegurar la disponibilidad de
+		la última versión de la infraestructura de DarwinPorts y de los &ldquo;Portfiles&rdquo; que
+		que contienen las instrucciones empleadas en la compilación e instalación de portes.
+		Para lograr esto, simplemente ejecute:</p>
+
+		<pre>sudo port selfupdate</pre>
+
+		<p>También se recomienda ejecutar el comando antenrior de manera regular para mantener su instalación
+		siempre al día. De aquí en adelante debería estar listo para disfrutar DarwinPorts!</p>
+
+		<h5 class="subhdr">Instalación a Partir de las Fuentes</h5>
+
+		<p>Si en cambio Ud. desea instalar DarwinPorts a partir de su código fuente, hay todavía un par de
+		cosas que deberá hacer después de bajar el paquete tar antes de poder instalar un porte a través de DarwinPorts,
+		compilar e instalar DarwinPorts en sí. &ldquo;<kbd>cd</kbd>&rdquo; al directorio al cual bajó el tar y corra
+		&ldquo;<kbd>tar xjvf <a href="/downloads/DarwinPorts-<? print "$dp_version"; ?>.tar.bz2">DarwinPorts-<? print "$dp_version"; ?>.tar.bz2</a></kbd>&rdquo;
+		o &ldquo;<kbd>tar xzvf <a href="/downloads/DarwinPorts-<? print "$dp_version"; ?>.tar.gz">DarwinPorts-<? print "$dp_version"; ?>.tar.gz</a></kbd>&rdquo;,
+		dependiendo de si bajó el tar bz2 o el gz, respectivamente. Esto desempaquetará las fuentes de DarwinPorts
+		que procederá a compilar e instalar. Para esto, ejecute lo siguiente:</p>
+
+<pre>cd DarwinPorts-<? print "$dp_version"; ?>
+
+./configure && make && sudo make install</pre>
+
+		<p>Opcionalmente:</p>
+
+		<pre>cd ../
+rm -rf DarwinPorts-<? print "$dp_version"; ?>*</pre>
+
+		<p>Estos pasos deben ser ejecutados desde una cuenta administradora, de la cual &ldquo;<kbd>sudo</kbd>&rdquo;
+		pedirá el password al momento de instalar. Este procedimiento creará una instalación standard de DarwinPorts
+		en su sistema y, si los pasos opcionales son ejecutados también, removerá las ahora innecesarias fuentes de
+		DarwinPorts y el correspondiente paquete tar. Para personalizar su instalación debe leer el output de
+		&ldquo;<kbd>./configure --help | more</kbd>&rdquo; y pasar las opciones apropiadas al script de configuración
+		en los pasos arriba detallados.</p>
+
+		<p>Deberá adaptar los documentos de configuración de su shell para encontrar los programas instalados por
+		DarwinPorts. Finalmente, debe sincronizar su instalación reciente con los servidores de OpenDarwin:</p>
+
+		<pre>sudo port -d selfupdate</pre>
+
+		<p>Al completar, DarwinPorts estará listo para instalar portes. Nuevamente, es recomendado ejecutar el comando
+		anterior regularmente para mantener su instalación siempre al día.</p>
+
+		<p>También puede referirse al documento <tt>README_RELEASE1.es</tt> contenido en los paquetes tar de las fuentes
+		<? print "$dp_version"; ?> de DarwinPorts para instrucciones básicas de instalación y uso.</p>
+
+		<h5 class="subhdr">Ayuda</h5>
+
+		<p><a href="/es/help">Ayuda</a> también se encuentra disponible en caso que la necesite.</p>
+
+		<h5 class="subhdr">Fuentes de CVS</h5>
+
+		<p>Si Ud. es un programador o un usuario que desea mantenerse siempre al día con los últimos cambios y adiciones
+		a DarwinPorts, puede adquirir las fuentes del proyecto a través de CVS.</p>
+
+		<p>Use los siguientes comandos para realizar el &ldquo;checkout&rdquo; del proyecto del
+		repositorio anónimo CVS de OpenDarwin:</p>
 		
-			      <pre>cvs -d :pserver:anonymous@anoncvs.opendarwin.org:/Volumes/src/cvs/od login
+		<pre>cvs -d :pserver:anonymous@anoncvs.opendarwin.org:/Volumes/src/cvs/od login
 cvs -d :pserver:anonymous@anoncvs.opendarwin.org:/Volumes/src/cvs/od co -P darwinports</pre>
 
@@ -32,27 +110,15 @@
 		en su teclado&mdash; el campo del password se encuentra vacío.</p>
 		
-		<p>Si no se quiere molestar con CVS para obtener DarwinPorts, Usted puede bajar un <a href="http://darwinports.opendarwin.org/darwinports-nightly-cvs-snapshot.tar.gz">
-		snapshot de CVS nocturno</a>. Una vez extraído, Ud. lo puede mantener actualizado con
-		los comandos de CVS de costumbre.</p>
+		<p>Si no se quiere molestar con CVS para obtener las fuentes en primera instancia, puede bajar el <a href="/downloads/darwinports-nightly-cvs-snapshot.tar.gz">
+		snapshot nocturno</a> de éstas y, una vez extraído, mantenerlo actualizado con los comandos de CVS de costumbre,
+		&ldquo;<kbd>cvs update</kbd>&rdquo;.</p>
 		
 		<p>Si desea simplemente ver el repositorio CVS sin realizar un &ldquo;checkout&rdquo;,
-		lo puede hacer via <a href="http://www.opendarwin.org/cgi-bin/cvsweb.cgi/proj/darwinports/">CVSweb</a>.</p>
-		
-		<h5 class="subhdr">Instalación</h5>
-		
-		<p>Una vez que el proyecto ha sido obtenido del repositorio CVS, todavía hay un par de
-		cosas que deberá hacer para poder instalar un porte.</p>
-		
-		<p>Para instrucciones de instalación, por favor vea el documento <tt>README.es</tt> en
-		el directorio donde realizó el &ldquo;checkout&rdquo; de CVS. También está el <a href="http://darwinports.opendarwin.org/docs/ch01s03.html">capítulo</a>
-		(en Inglés) de la <a href="http://darwinports.opendarwin.org/docs/">Guía de DarwinPorts</a>
-		que provee instrucciones de instalación y uso de DarwinPorts.</p>
-		
-		<p><a href="/es/help">Ayuda</a> también se encuentra disponible en caso que la necesite.</p>
+		lo puede hacer vía <a href="http://www.opendarwin.org/cgi-bin/cvsweb.cgi/proj/darwinports/">CVSweb</a>.</p>
 	
 	</div>
 </div>
 
-	<?php
-		print_footer();
-	?>
+<?php
+	print_footer();
+?>
Index: trunk/www/es/help/index.php
===================================================================
--- trunk/www/es/help/index.php	(revision 15544)
+++ trunk/www/es/help/index.php	(revision 15627)
@@ -9,52 +9,57 @@
 		<h2 class="hdr">Obtención de Ayuda</h2>
 		
-		<p>Si se atasca usando DarwinPorts y tiene algún problema que no puede
-		resolver, tenemos varios recursos para ayudarle.</p>
+		<p>Si experimenta algún problema usando DarwinPorts que no puede resolver,
+		tenemos varios recursos para ayudarle.</p>
 		
 		<h5 class="subhdr">Documentación</h5>
 		
-		<p>La <a href="http://darwinports.opendarwin.org/docs">Guía de DarwinPorts</a>
-		tiene una sección para usuarios, <a href="http://darwinports.opendarwin.org/docs/pt01.html">Parte
-		1: Usando DarwinPorts</a>.</p>
-		
-		<p>Las preguntas frecuentes, &ldquo;FAQ&rdquo;, de DarwinPorts reaparecerán
-		pronto.</p>
-		
+		<p>La <a href="/docs/">Guía de DarwinPorts</a> tiene una sección para usuarios,
+		<a href="/docs/pt01.html">Parte 1: Usando DarwinPorts</a> (en Inglés).</p>
+
+		<p>La sección de <a href="http://wiki.opendarwin.org/index.php/DarwinPorts:FAQ">Preguntas Frecuentes y Respuestas (FAQ)</a>
+		(en Inglés) de nuestro Wiki es un esfuerzo vivo y conducido por los usuarios, parte
+		de nuestro <a href="http://wiki.opendarwin.org/index.php/DarwinPorts">Wiki</a>
+		donde cualquiera con una <a href="http://wiki.opendarwin.org/index.php?title=Special:Userlogin&returnto=DarwinPorts">cuenta de Wiki</a> y conocimiento sobre DarwinPorts puede contribuir
+		con información para ayudar a otros.</p>
+				
 		<p>Toda nuestra documentación es un trabajo en progreso, por lo que si ubica
-		algún error o tiene alguna pregunta sobre la documentación, déjenoslo saber! Así
-		nos estará ayudando.</p>
+		algún error o tiene alguna pregunta sobre alguna parte de ésta en específico, por favor infórmenos
+		al respecto! Así nos estará ayudando.</p>
 		
 		<h5 class="subhdr">Listas de Correo</h5>
 		
 		<p>La <a href="http://www.opendarwin.org/mailman/listinfo/darwinports">lista
-		de correo de DarwinPorts</a> está abierta al público. Es el mejor lugar para
-		hacer preguntas sobre DarwinPorts, para nuevos usuarios, programadores, para
-		todo el mundo por igual! Es también el lugar donde se lleva a cabo toda la discusión
-		sobre DarwinPorts. Por favor note que debido a problemas de Spam, la lista de
-		correos de requiere que todos los mensajes de personas no suscritas
-		a la lista sean aprobados. Es mejor suscribirse.</p>
+		general de correo de DarwinPorts</a> está abierta al público. Es el mejor lugar para
+		hacer preguntas sobre DarwinPorts, para nuevos usuarios, programadores, todos
+		por igual! Es también el lugar donde se lleva a cabo toda la discusión sobre
+		DarwinPorts en sí. Por favor note que debido a problemas de Spam, la lista de correos
+		requiere que todos los mensajes de personas no suscritas a la lista sean aprobados.
+		Es mejor suscribirse.</p>
 		
-		<p>Aunque no es necesariamente un requisito, también puede revisar los
-		<a href="http://www.opendarwin.org/pipermail/darwinports/"> archivos de la lista
-		de correo de DarwinPorts</a> antes de publicar algúna pregunta. Intentamos ayudar
-		en lo posible, pero si la pregunta es algo común nuestras respuestas puede que
-		sean relativamente cortas.</p>
+		<p>Aunque no es necesariamente un requisito, puede revisar los
+		<a href="http://www.opendarwin.org/pipermail/darwinports/"> archivos de la lista</a>
+		antes de publicar algúna pregunta. Intentamos ayudar en lo posible, pero si la
+		pregunta es algo común puede que nuestras respuestas sean relativamente cortas.</p>
+
+		<p>Por otro lado, archivos indexados de esta lista se pueden explorar en
+		<a href="http://gmane.org/">Gmane.org</a> o a través de <a href="nntp://news.gmane.org/">NNTP</a>.</p>
 		
 		<p>Cuando publique alguna pregunta a la lista, por favor incluya cualquier información
-		que crea ser relevante al problema, tal como el sistema operativo y la versión
-		que usa (OS X 10.3.2, por ejemplo), si tiene algún otro software de terceros
-		instalado en /usr/local (por ejemplo), y cualquier mensaje de error que DarwinPorts
-		ofrezca. Es mucho más fácil para nosotros ayudar si tenemos demasiada información
-		que si no tenemos suficiente.</p>
+		que crea es relevante al problema, tal como el sistema operativo y versión
+		que usa, Mac OS X 10.3.2 por ejemplo, si tiene algún otro software de terceros
+		instalado, como en /usr/local, y cualquier mensaje de error que DarwinPorts
+		ofrezca (el uso de las opciones -v y -d del programa  port(1) es recomendado para
+		activar la información de depuración, es mucho más fácil para nosotros ayudar una vez
+		estas son usadas).</p>
 
 		<h5 class="subhdr">IRC</h5>
 		
 		<p>Para una discusión más en tiempo real, el canal #darwinports en la <a href="http://freenode">
-		red IRC freenode</a> es generalmente donde pasamos el tiempo.</p>
+		red Freenode de IRC</a> es generalmente donde compartimos.</p>
 		
 		<p>Aunque generalemte es de ayuda, por favor mantenga en mente que si entra al
-		canal de IRC nadie está obligado a ayudar o hasta responder a su pregunta. No lo
-		tome personal, simplemente haga su pregunta en la <a href"=http://www.opendarwin.org/mialman/listinfo/darwinports">
-		lista de correo de DarwinPorts</a> en vez.</p>
+		canal de IRC nadie está obligado a ayudar o hasta a responder su pregunta. No lo
+		tome personal, simplemente haga su pregunta en la <a href="http://www.opendarwin.org/mialman/listinfo/darwinports">lista de correo</a>
+		en vez.</p>
 		
 	</div>
Index: trunk/www/es/includes/common.inc
===================================================================
--- trunk/www/es/includes/common.inc	(revision 15544)
+++ trunk/www/es/includes/common.inc	(revision 15627)
@@ -1,6 +1,15 @@
 	<?php
 
-# $Id: common.inc,v 1.1 2004/04/21 23:44:59 matt Exp $
+# $Id: common.inc,v 1.2 2005/12/29 15:52:22 jmpp Exp $
 # Copyright (c) 2004, OpenDarwin
+
+######################################################################
+
+# print the current darwinports version
+$dp_version = "1.2";
+
+######################################################################
+	  
+# print the page header
 
 		function print_header($title, $encoding) {
@@ -8,5 +17,5 @@
 	?>
 			<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
-			"http://www.w3.org/TR/xhtml/DTD/xhtml-strict.dtd">
+			"http://www.w3.org/TR/xhtml/DTD/xhtml1-strict.dtd">
 			<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="es" lang="es">
 			<head>
@@ -17,8 +26,11 @@
 				<meta name="robots" content="all" />
 				<link rel="stylesheet" type="text/css" href="/dp.css" />
-				<link rel="alternate" type="application/rss+xml" href="http://darwinports.opendarwin.org/dp.xml" />
+				<link rel="alternate" type="application/rss+xml" href="http://www.darwinports.org/dp_news.xml" />
 			</head>
 			
 			<body>
+
+			<?php check_referer(); ?>
+
 			<div id="main">
 			
@@ -31,8 +43,39 @@
 # print the page footer
 	function print_footer() {
+
 		global $DOCUMENT_ROOT;
 		include("$DOCUMENT_ROOT/es/includes/footer.inc");
+
 		echo " </body>\n";
 		echo " </html>\n";
 	}
-			?>
+######################################################################
+function check_referer() {
+
+	 global $_SERVER;
+
+	 if (preg_match("/darwinports.com/", $_SERVER['HTTP_REFERER'])) {
+?>
+	<div class="referer_box">
+	     <h1>El sitio oficial de DarwinPorts</h1>
+
+	     <p>Ud. ha llegado al <b>Sitio Oficial de DarwinPorts</b> desde <i>darwinports.com</i>.</p>
+
+	     <p><i>darwinports.com</i> <b>no es el sitio oficial del proyecto DarwinPorts</b>,
+	     ni es un espejo del sitio oficial. <b>No existe relacion alguna</b> entre el
+	     <i>proyecto DarwinPorts</i> y <i>darwinports.com</i>.</p>
+
+	     <p>La información que puede haber obtenido en <i>darwinports.com</i> puede ser
+	     incorrecta o vieja y no es mantenida por el <i>proyecto DarwinPorts</i>. Para la
+	     información más acertada sobre DarwinPorts, por favor marque esta página,
+	     <a href="http://www.darwinports.org>www.darwinports.org</a>.</p>
+	
+	</div>
+
+<?php
+
+
+	 }
+}
+
+?>
Index: trunk/www/es/includes/db.inc
===================================================================
--- trunk/www/es/includes/db.inc	(revision 15544)
+++ 	(revision )
@@ -1,6 +1,0 @@
-	<?php
-		$host = 'localhost';
-  		$user = 'dp_www';
-  		$pass = 'dp_secret';
-  		$db = 'dp_www';
-  	?>
Index: trunk/www/es/includes/footer.inc
===================================================================
--- trunk/www/es/includes/footer.inc	(revision 15544)
+++ trunk/www/es/includes/footer.inc	(revision 15627)
@@ -1,4 +1,4 @@
 	<div id="footer">
 		<span class="languages"><a href="/">English</a>, <a href="/fr/">Français</a>, Español, <a href="/ru/">Russian</a>, <a href="/it/">Italiano</a></span>
-		Copyright © 2002-<? print date("Y"); ?>, <a href="http://www.opendarwin.org/">OpenDarwin</a>. Todos los derechos reservados. | <a href="http://www.darwinports.org/dp_news.xml">Feed de RSS</a>
+		Copyright © 2002-<? print date("Y"); ?>, <a href="http://www.darwinports.org/">DarwinPorts</a>. Todos los derechos reservados. | <a href="http://www.darwinports.org/dp_news.xml">Feed de RSS</a>
 	</div>
Index: trunk/www/es/includes/functions.inc
===================================================================
--- trunk/www/es/includes/functions.inc	(revision 15544)
+++ trunk/www/es/includes/functions.inc	(revision 15627)
@@ -1,20 +1,19 @@
 <?php
 
-# $Id: functions.inc,v 1.4 2005/12/13 14:58:48 matt Exp $
+# $Id: functions.inc,v 1.5 2005/12/29 15:52:22 jmpp Exp $
 # Copyright (c) 2004, OpenDarwin
 
 ###############################################################################
 
-# variables and includes:
-
-		$DOCUMENT_ROOT = $_SERVER['DOCUMENT_ROOT'];
-		$PHP_SELF = $_SERVER['PHP_SELF'];
-		include_once("$DOCUMENT_ROOT/es/includes/db.inc");
-		$connect = mysql_pconnect($host, $user, $pass) or die("Can't connect to db!");
-		mysql_select_db($db);
-	
+# variables and includes
+$DOCUMENT_ROOT = $_SERVER['DOCUMENT_ROOT'];
+$PHP_SELF = $_SERVER['PHP_SELF'];
+include_once("$DOCUMENT_ROOT/includes/db.inc");
+$connect = mysql_pconnect($host, $user, $pass) or die("Can't connect to db!");
+mysql_select_db($db);
+
 ###############################################################################
 
-# create an RSS feed of the prokect news:
+# create an RSS feed of the project news:
 
 		function create_rss() {
@@ -40,5 +39,5 @@
 			$rss .= "  <channel>\n";
 			$rss .= "	<title>DarwinPorts Project News</title>\n";
-			$rss .= "	<link>http://darwinports.opendarwin.org/</link>\n";
+			$rss .= "	<link>http://www.darwinports.org/</link>\n";
 			$rss .= "	<description>DarwinPorts Project News</description>\n";
 			$rss .= "	<dc:language>en-us</dc:language>\n";
@@ -52,5 +51,5 @@
 					$rss .= "	<item>\n";
 					$rss .= "		<title>$row->title</title>\n";
-					$rss .= "		<link>http://darwinports.opendarwin.org/archives/$row->id.php</link>\n";
+					$rss .= "		<link>http://www.darwinports.org/es/archives.php?id=$row->id</link>\n";
 					
 					$desc_query = "SELECT SUBSTRING_INDEX(news, ' ',26) FROM headlines WHERE id=$row->id";
@@ -61,7 +60,7 @@
 					
 					$rss .= "		<description><![CDATA[$description...</p>]]></description>\n";
-					$rss .= "		<guid isPermaLink=\"true\">http://darwinports.opendarwin.org/archives/$row->id.php</guid>\n";
-					$rss .= "		<content:encoded><![CDATA[$row-news]]></content:encoded>\n";
-					$rss .= "	<item>\n";
+					$rss .= "		<guid isPermaLink=\"true\">http://www.darwinports.org/es/archives.php?id=$row->id</guid>\n";
+					$rss .= "		<content:encoded><![CDATA[$row->news]]></content:encoded>\n";
+					$rss .= "	</item>\n";
 				}
 			}
@@ -99,5 +98,5 @@
 ########################################################################
 
-#display a single headline:
+# display a single headline:
 
 		function print_headline() {
@@ -105,5 +104,5 @@
 			
 			$id = $_GET['id'];
-			$query = "SELECT id, DATE_FORMAT(timestamp, '%e %b %Y, %l:%i %p') AS f_timestamp, title, news FROM headlines WHERE ID='$id'";
+			$query = "SELECT id, DATE_FORMAT(timestamp, '%e %b %Y, %l:%i %p') AS f_timestamp, title, news FROM headlines WHERE id='$id'";
 			$result = mysql_query($query) or die("Error: $query.");
 			if (!result) {
@@ -130,5 +129,5 @@
 			
 			if (!$_POST['submit']) {
-				echo "<p>Utilice el formulario que se presenta abajo para añadir noticias del proyecto.</p>\n\n";
+				echo "<p>Utilice el formulario que se presenta abajo para agregar noticias del proyecto.</p>\n\n";
 				echo "<form action=\"$PHP_SELF\" method=\"post\">\n";
 				echo "<p>Título:&nbsp;&nbsp;<input type=\"text\" name=\"title\" size=\"40\" /></p>\n";
@@ -156,5 +155,5 @@
 						die("Error: $result.");
 					}
-					echo "<p>La entrada fue añadida exitosamente. Puede bien sea <a href=\"list.php\">ver todos los titulares, <a href=\"add.php\">añadir otro titular</a> o <a href=\"/\">volver a la página principal de DarwinPorts</a>.</p>\n\n";
+					echo "<p>La entrada fue agregada exitosamente. Puede bien sea <a href=\"list.php\">ver todos los titulares, <a href=\"add.php\">agregar otro titular</a> o <a href=\"/\">volver a la página principal de DarwinPorts</a>.</p>\n\n";
 					create_rss();
 				} else {
@@ -164,5 +163,5 @@
 						echo "<li>$errorList[$x]</li>\n";
 					}
-					echo "</lu>\n\n";
+					echo "</ul>\n\n";
 				}
 			}
@@ -187,5 +186,5 @@
 					echo "<p>Use el formulario abajo mostrado para editar las noticias del proyecto.</p>\n\n";
 					echo "<form action=\"$PHP_SELF?id=$id\" method=\"post\">\n";
-					echo "<p>TÌtulo:&nbsp;&nbsp;<input type=\"text\" name=\"title\" size=\"40\" value=\"$row->title\" /></p>\n";
+					echo "<p>Título:&nbsp;&nbsp;<input type=\"text\" name=\"title\" size=\"40\" value=\"$row->title\" /></p>\n";
 					echo "<p>Noticias:</p>\n";
 					echo "<p><textarea name=\"news\" cols=\"70\" rows=\"20\">";
@@ -211,10 +210,10 @@
 				}
 				if (sizeof($errorList) == 0) {
-					$query = "UDPATE headlines SET title='$title', news='$news' WHERE id='$id'";
+					$query = "UPDATE headlines SET title='$title', news='$news' WHERE id='$id'";
 					$result = mysql_query($query) or die("Error: $query.");
 					if (!$result) {
 						die("Error: $result.");
 					}
-					echo "<p>El update fue exitoso. Puede bien sea <a href=\"list.php\">ver todos los titulares, <a href=\"add.php\">añadir otro titular</a> o <a href=\"/\">volver a la página principal de DarwinPorts</a>.</p>\n\n";
+					echo "<p>El update fue exitoso. Puede bien sea <a href=\"list.php\">ver todos los titulares, <a href=\"add.php\">agregar otro titular</a> o <a href=\"/\">volver a la página principal de DarwinPorts</a>.</p>\n\n";
 					create_rss();
 				} else {
@@ -236,13 +235,13 @@
 			global $connect;
 			
-			echo "<p>Abajo se muestra una lista de todos los titulares existentes. Pueden ser leídos, editados o borrados desde esta interface. Además, Usted también puede <a href=\"add.php\">añadir noticias al proyecto</a>.</p>\n\n";
+			echo "<p>Abajo se muestra una lista de todos los titulares existentes. Pueden ser leidos, editados o borrados desde esta interface. Además, también puede <a href=\"add.php\">agregar noticias al proyecto</a>.</p>\n\n";
 			$query = "SELECT id, title, DATE_FORMAT(timestamp, '%e %b %Y, %l:%i %p') AS f_timestamp FROM headlines ORDER BY id DESC";
 			$result = mysql_query($query) or die("Error: $query.");
 			if (!$result) {
-				die("Error: $query.");
+				die("Error: $result.");
 			}
 			if (mysql_num_rows($result) > 0) {
 				while ($row = mysql_fetch_object($result)) {
-					echo "<p><a href=\"/archives/$row->id.php\">$row->title</a><br />&nbsp&nbsp;$row->f_timestamp&nbsp;&nbsp;|&nbsp;&nbsp;<a href=\"edit.php?id=$row->id\">edit</a></p>\n\n";
+					echo "<p><a href=\"/es/archives.php?id=$row->id.php\">$row->title</a><br />&nbsp&nbsp;$row->f_timestamp&nbsp;&nbsp;|&nbsp;&nbsp;<a href=\"edit.php?id=$row->id\">editar</a></p>\n\n";
 				}
 			} else {
@@ -250,4 +249,28 @@
 			}
 		}
-	
+
+######################################################################
+
+# print a list of all existing headlines wihtout the admin foobage
+# (this is cheap and could be better)
+function print_all_headlines_nonadmin() {
+
+	 global $connect;
+
+	 $query = "SELECT id, title, DATE_FORMAT(timestamp, '%e %b %Y, %l:%i %p') AS f_timestamp FROM headlines ORDER BY id DESC";
+	 $result = mysql_query($query) or die("Error: $query.");
+	 if (!$result) {
+	    die("Error: $result.");
+	 }
+	 if (mysql_num_rows($result)>0) {
+	    while ($row = mysql_fetch_object($result)) {
+		  echo "<p><a href=\"/es/archives.php?id=$row->id\">$row->title</a><br />&nbsp&nbsp;$row->f_timestamp</p>\n\n";
+		}
+	} else {
+		  echo "<p>No hay titulares disponibles.</p>\n\n";
+	}
+}
+
+######################################################################
+
 ?>
Index: trunk/www/es/index.php
===================================================================
--- trunk/www/es/index.php	(revision 15544)
+++ trunk/www/es/index.php	(revision 15627)
@@ -9,4 +9,11 @@
 		<div id="content">
 			<h2 class="hdr">Introducción a DarwinPorts</h2>
+
+			<p>El objetivo principal del proyecto DarwinPorts es proveer una forma
+			sencilla de instalar varios programas de código abierto en la familia
+			de sistemas operativos Darwin (<a href="http://www.opendarwin.org/">OpenDarwin</a>,
+			<a href="http://www.apple.com/macosx/">Mac OS X</a> y
+			<a href="http://developer.apple.com/darwin/projects/darwin/">Darwin</a>).</p>
+
 <?
                 $result = mysql_query("SELECT count(*) from darwinports.portfiles");
@@ -18,20 +25,24 @@
                 }
 ?>
-			<p>El objetivo principal del proyecto DarwinPorts es proveer una forma
-			sencilla de instalar varios productos de código abierto en un sistema
-			Darwin, Mac OS X, FreeBSD o Linux.</p>
 
-			<p>En la actualidad hay <?= $count; ?> <a href="/es/ports/">portes</a>
-			completados y usables, mientras que más son agregados regularmente. Usted
-			puede conocer sobre los portes recientemente añadidos al susbcribirse a la
+			<p>En la actualidad hay alrededor de <?= $count; ?> <a href="/es/ports/">portes</a>
+			completados y funcionales, mientras que más son agregados regularmente a la colección.
+			Para estar al día con las últimas adiciones, puede susbcribirse a la
 			lista de correo <a href="http://www.opendarwin.org/mailman/listinfo/cvs-darwinports-all">cvs-darwinports-all</a>.</p>
 
 			<p>Para más información sobre la obtención e instalación de DarwinPorts, por
 			favor refiérase la sección <a href="/es/getdp/">Obtención de DarwinPorts</a>
-			de esta página. También asegúrese de revisar la <a href="/docs/">documentación</a>
-			y si tiene preguntas o sufre de algún problema, puede <a href="/es/help/">buscar ayuda</a>.</p>
+			de nuestra página. También asegúrese de revisar la <a href="/docs/">documentación</a>
+			y si tiene preguntas o experimenta algún problema, puede buscar ayuda en nuestra
+			<a href="/es/help/">sección de ayuda</a>. Nuestro
+			<a href="http://wiki.opendarwin.org/index.php/DarwinPorts">Wiki</a> también es un
+			buen recurso para ayuda general y variada, especialmente el proyecto vivo de
+			<a href="http://wiki.opendarwin.org/index.php/DarwinPorts:FAQ">Preguntas Frecuentes y Respuestas (FAQ)</a>
+            (en Inglés).</p>
 
-			<p>Reportes de "bugs", peticiones de funcionalidad y nuevos portes deberían ser
-			introducidos en <a href="http://www.opendarwin.org/bugzilla/">Bugzilla</a>.</p>
+			<p>Reportes de "bugs", peticiones de funcionalidad y nuevos portes deben ser
+			introducidos en <a href="http://www.opendarwin.org/bugzilla/">Bugzilla</a>. Por
+			favor consulte nuestra <a href="docs/ch01s05.html#user_bugs">documentación sobre reportes de bugs</a>
+			(en Inglés) para mejorar el procesamiento de su(s) reporte(s).</p>
 
 		<div id="news">
@@ -40,5 +51,8 @@
 		<?php
 			print_headlines();
-        ?>
+		?>
+
+		<p>También puede buscar noticias viejas en nuestro <a href="/es/archives.php">archivo de noticias</a>.</p>
+
        </div>
       </div>
Index: trunk/www/es/ports.php
===================================================================
--- trunk/www/es/ports.php	(revision 15544)
+++ trunk/www/es/ports.php	(revision 15627)
@@ -48,5 +48,5 @@
 		}
 ?>
-			<td colspan="4" align="left"><a href="<?= $PHP_SELF; ?>?by=all">Ver todos los títulos (<?= $count; ?>)</a></td>
+			<td colspan="4" align="left"><a href="<?= $PHP_SELF; ?>?by=all">Ver todos los Títulos (<?= $count; ?>)</a></td>
 		</tr>
 		<?
@@ -105,5 +105,5 @@
 ?>
 	<p>
-	<i><?= mysql_num_rows($result); ?> Portfile<? if (mysql_num_rows($result) != 1) { echo "s"; } ?> Selecionado</i>
+	<i><?= mysql_num_rows($result); ?> Portfile<? if (mysql_num_rows($result) != 1) { echo "s"; } ?> Seleccionado</i>
 	</p>
 	<dl>
@@ -207,5 +207,5 @@
 			} 
 		} else {
-			echo "An Error Occurred. (501)";
+			echo "Ocurrió un error. (501)";
 		}
 	}