Index: trunk/dports/sysutils/rpm/Portfile
===================================================================
--- trunk/dports/sysutils/rpm/Portfile	(revision 17150)
+++ trunk/dports/sysutils/rpm/Portfile	(revision 17151)
@@ -1,8 +1,7 @@
-# $Id: Portfile,v 1.25 2006/03/08 23:56:20 mww Exp $
+# $Id: Portfile,v 1.26 2006/03/24 08:25:37 olegb Exp $
 
 PortSystem 1.0
 name			rpm
-version			4.4.2
-revision		3
+version			4.4.5
 platforms		darwin
 categories		sysutils archivers
@@ -16,7 +15,7 @@
 	the package like its version, a description, etc.
 
-master_sites		ftp://jbj.org/pub/rpm-4.4.x/
+master_sites		http://wraptastic.org/pub/rpm-4.4.x/
 distfiles		rpm-${version}.tar.gz
-checksums		md5 e24ce468082479fe850c9d6563f56db5
+checksums		md5 d5f434789c0c56d05d77be6f4262a561
 
 depends_lib		lib:libhistory.5:readline lib:libiconv.2:libiconv \
@@ -52,5 +51,6 @@
 variant darwin {
 	patchfiles-append \
-		rpm-4.4.1-glob.patch patch-file-src-Makefile.in \
+		patch-file-src-Makefile.in \
+		patch-lib-rpmds \
 		patch-macros.in
 
@@ -95,4 +95,7 @@
 		system "rm -f ${destroot}${prefix}/share/man/man3/popt.3*"
 		system "rm -rf ${destroot}${prefix}/lib/libpopt.*"
+		system "rm -rf ${destroot}/System"
+		system "rm -rf ${destroot}/Library"
+		system "rm ${destroot}/usr/local/man/man3/RPM.3pm"
 
 		# MacOSX specific changes
Index: trunk/dports/sysutils/rpm/files/patch-macros.in
===================================================================
--- trunk/dports/sysutils/rpm/files/patch-macros.in	(revision 17150)
+++ trunk/dports/sysutils/rpm/files/patch-macros.in	(revision 17151)
@@ -1,4 +1,4 @@
---- macros.in.jbj	2005-07-24 15:05:47.000000000 -0400
-+++ macros.in	2005-07-24 15:32:54.000000000 -0400
+--- macros.in.orig	2006-02-12 13:34:12.000000000 -0500
++++ macros.in	2006-03-08 10:42:53.000000000 -0500
 @@ -33,58 +33,58 @@
  #==============================================================================
@@ -114,5 +114,5 @@
  %__debug_install_post   \
     @RPMCONFIGDIR@/find-debuginfo.sh %{_builddir}/%{?buildsubdir}\
-@@ -215,10 +215,10 @@
+@@ -211,10 +211,10 @@
  %_srcrpmdir		%{_topdir}/SRPMS
  
@@ -122,10 +122,10 @@
  
  #	Path to top of build area.
--%_topdir		%{_usrsrc}/redhat
+-%_topdir		%{_usrsrc}/rpm
 +%_topdir		%{_usrsrc}/apple
  
  #	The path to the unzip executable (legacy, use %{__unzip} instead).
  %_unzipbin		%{__unzip}
-@@ -276,7 +276,7 @@
+@@ -279,7 +279,7 @@
  
  #	The PATH put into the environment before running %pre/%post et al.
@@ -136,5 +136,5 @@
  #	A colon separated list of desired locales to be installed;
  #	"all" means install all locale specific files.
-@@ -585,7 +585,7 @@
+@@ -575,7 +575,7 @@
  %{nil}
  
@@ -145,5 +145,5 @@
  # "Packages" should have shared/exclusive fcntl(2) lock using "lockdbfd".
  %_dbi_config_Packages		%{_dbi_htconfig} lockdbfd
-@@ -607,8 +607,8 @@
+@@ -597,8 +597,8 @@
  #
  # There are two macros so that --rebuilddb can convert db1 -> db3.
@@ -156,37 +156,24 @@
  #==============================================================================
  # ---- GPG/PGP/PGP5 signature macros.
-@@ -690,17 +690,17 @@
- %_autorelocate_dcolor @autorelocate_dcolor@
- 
+@@ -682,15 +682,15 @@
  #	The path to the dependency universe database. The default value
--#	is the rpmdb-redhat location. The macro is usually defined in
--#	/etc/rpm/macros.solve, installed with the rpmdb-redhat package.
--#%_solve_dbpath	/usr/lib/rpmdb/%{_arch}-%{_vendor}-%{_os}/redhat
-+#	is the rpmdb-dports location. The macro is usually defined in
-+#	/etc/rpm/macros.solve, installed with the rpmdb-dports package.
-+#%_solve_dbpath	@prefix@/lib/rpmdb/%{_arch}-%{_vendor}-%{_os}/dports
+ #	is the rpmdb-vendor location. The macro is usually defined in
+ #	/etc/rpm/macros.solve, installed with the rpmdb-vendor package.
+-#%_solve_dbpath	/usr/lib/rpmdb/%{_arch}-%{_vendor}-%{_os}/rpm
++#%_solve_dbpath	@prefix@/lib/rpmdb/%{_arch}-%{_vendor}-%{_os}/rpm
  
  #	The path to the dependency universe packages. This should
  #	be a path to the packages contained in the solve database.
--#%_solve_pkgsdir	/mnt/redhat/test/latest-i386/RedHat/RPMS/
-+#%_solve_pkgsdir	@prefix@/src/apple/RPMS/ppc
+-#%_solve_pkgsdir	/mnt/rpm/test/latest-i386/RedHat/RPMS/
++#%_solve_pkgsdir	@prefix@/src/%{_vendor}/RPMS/ppc
  
  #	The output binary package file name template used when suggesting
  #	binary packages that solve a dependency. The macro is usually defined
--#	in /etc/rpm/macros.solve, installed with the rpmdb-redhat package.
+-#	in /etc/rpm/macros.solve, installed with the rpmdb-vendor package.
 +#	in /etc/rpm/macros.solve, installed with the rpmdb-dports package.
  #
  # XXX	Note: escaped %% for use in headerSprintf()
  #%_solve_name_fmt	%{?_solve_pkgsdir}%%{NAME}-%%{VERSION}-%%{RELEASE}.%%{ARCH}.rpm
-@@ -866,7 +866,7 @@
- #	solve dependencies using rpmcache(8).
- #
- #	Note: These values are specific to my machine, and most certainly
--#	are incorrect for any non-redhat.com machine. The macros are
-+#	need to configured on your machine. The macros are
- #	included here only to document the macro names and usage.
- %_bhpath        file://localhost/mnt/dist
- %_bhcoll        @(7.3|7.2|7.1|7.1sbe|7.1k|7.0|7.01j|7.0j|7.0sbe|7.0tc|6.2|6.2ha|6.2ee|6.1|6.0|5.2|5.1|5.0)
-@@ -1079,7 +1079,7 @@
+@@ -1087,7 +1087,7 @@
  %_lib			lib
  %_libdir		%{_exec_prefix}/%{_lib}
@@ -197,2 +184,29 @@
  %_mandir		%{_prefix}/man
  
+@@ -1336,7 +1336,7 @@
+ # Note: Used iff _use_internal_dependency_generator is non-zero. The
+ # helpers are also used by @RPMCONFIGDIR@/rpmdeps {--provides|--requires}.
+ %__java_provides	@RPMCONFIGDIR@/javadeps.sh --provides
+-%__java_requires	@RPMCONFIGDIR@/javadeps.sh --requires
++#%__java_requires	@RPMCONFIGDIR@/javadeps.sh --requires
+ 
+ #------------------------------------------------------------------------
+ # libtool(...) configuration.
+@@ -1346,7 +1346,7 @@
+ # Note: Used iff _use_internal_dependency_generator is non-zero. The
+ # helpers are also used by @RPMCONFIGDIR@/rpmdeps {--provides|--requires}.
+ %__libtool_provides	@RPMCONFIGDIR@/libtooldeps.sh --provides %{buildroot}
+-%__libtool_requires	@RPMCONFIGDIR@/libtooldeps.sh --requires %{buildroot}
++#%__libtool_requires	@RPMCONFIGDIR@/libtooldeps.sh --requires %{buildroot}
+ 
+ #------------------------------------------------------------------------
+ # pkgconfig(...) configuration.
+@@ -1356,7 +1356,7 @@
+ # Note: Used iff _use_internal_dependency_generator is non-zero. The
+ # helpers are also used by @RPMCONFIGDIR@/rpmdeps {--provides|--requires}.
+ %__pkgconfig_provides	@RPMCONFIGDIR@/pkgconfigdeps.sh --provides
+-%__pkgconfig_requires	@RPMCONFIGDIR@/pkgconfigdeps.sh --requires
++#%__pkgconfig_requires	@RPMCONFIGDIR@/pkgconfigdeps.sh --requires
+ 
+ #------------------------------------------------------------------------
+ # executable(...) configuration.