Index: trunk/dports/mail/mutt-devel/Portfile
===================================================================
--- trunk/dports/mail/mutt-devel/Portfile	(revision 18619)
+++ trunk/dports/mail/mutt-devel/Portfile	(revision 18620)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.33 2006/07/05 23:17:42 yeled Exp $
+# $Id: Portfile,v 1.34 2006/07/16 05:08:29 yeled Exp $
 
 PortSystem 1.0
@@ -19,33 +19,33 @@
 		 Delivery Status Notification (DSN) support, and PGP/MIME.
 
-master_sites	ftp://ftp.mutt.org/mutt/devel/
-distname	mutt-${portversion}
-checksums	${distfiles} md5 00e6f8f7c37d4840e5e30583ebee21ce
-patch.args	-p1
+master_sites		ftp://ftp.mutt.org/mutt/devel/
+distname			mutt-${portversion}
+checksums			${distfiles} md5 00e6f8f7c37d4840e5e30583ebee21ce
+patch.args			-p1
 default_variants	+pop +imap +ncurses
 
-worksrcdir	mutt-${portversion}
+worksrcdir			mutt-${portversion}
 
-depends_lib-append		port:gettext port:libiconv
+depends_lib-append	port:gettext port:libiconv
 
 configure.args	--disable-warnings \
-		--mandir=${prefix}/share/man \
-		--with-docdir=${prefix}/share/doc/mutt \
-    	--with-libiconv-prefix=${prefix}
+				--mandir=${prefix}/share/man \
+				--with-docdir=${prefix}/share/doc/mutt \
+				--with-libiconv-prefix=${prefix}
 
 variant idn {
-    configure.args-append	--with-idn=${prefix}
-    depends_lib-append		port:libidn port:zlib
+	configure.args-append	--with-idn=${prefix}
+	depends_lib-append		port:libidn port:zlib
 }
 
 variant linux {
-    configure.env		CFLAGS=-I/usr/kerberos/include
+	configure.env	CFLAGS=-I/usr/kerberos/include
 }
 
 variant pop	{ configure.args-append --enable-pop }
 variant imap	{ configure.args-append --enable-imap }
-variant ssl	{ 	configure.args-append --with-ssl 
+variant ssl	{ configure.args-append --with-ssl 
 				depends_lib-append port:openssl }
-variant sasl { 	configure.args-append --with-sasl
+variant sasl { configure.args-append --with-sasl
 				depends_lib-append port:cyrus-sasl2 }
 variant debug	{ configure.args-append --enable-debug }
@@ -57,5 +57,5 @@
 				depends_lib-append port:ncurses 
 				configure.env-append LDFLAGS="-Wl,-search_paths_first"
-				}
+}
 
 variant cvs {
@@ -63,21 +63,21 @@
 		ui_warn	"due to a bug in the base code, using the +cvs variant will not download any patches first. Run something akin to \"sudo port fetch +variant1 +variant2\" then run a \"port clean mutt-devel\", and add the +cvs variant again to install it: \"port install mutt-devel +variant1 +variant2 +cvs\""
 		ui_warn	""
-    fetch.type 		cvs
-    cvs.root 		:pserver:anonymous@cvs.mutt.org:/home/roessler/cvs
-    cvs.module 		mutt
-    cvs.password	anonymous 
-	cvs.date		20060708
-	version			${version}-${cvs.date}
-    worksrcdir		mutt
-    configure.cmd	${worksrcpath}/prepare
-	depends_build-append	port:autoconf
+		fetch.type 		cvs
+		cvs.root 		:pserver:anonymous@cvs.mutt.org:/home/roessler/cvs
+		cvs.module 		mutt
+		cvs.password	anonymous 
+		cvs.date		20060716
+		version			${version}-${cvs.date}
+		worksrcdir		mutt
+		configure.cmd	${worksrcpath}/prepare
+		depends_build-append	port:autoconf
 }
 
 variant compress {
-    configure.args-append	--enable-compressed
-    patch_sites-append		http://www.spinnaker.de/mutt/compressed/
-    patchfiles-append		patch-1.5.11.rr.compressed.1.gz
-    checksums-append		patch-1.5.11.rr.compressed.1.gz md5 \
-					fb79645e8269e2f5bfb53a8ecf955bf7
+	configure.args-append	--enable-compressed
+	patch_sites-append		http://www.spinnaker.de/mutt/compressed/
+	patchfiles-append		patch-1.5.11.rr.compressed.1.gz
+	checksums-append		patch-1.5.11.rr.compressed.1.gz md5 \
+								fb79645e8269e2f5bfb53a8ecf955bf7
 }
 
@@ -93,6 +93,6 @@
 
 variant headercache { 
-    configure.args-append	--enable-hcache
-    configure.env-append	LDFLAGS="-L${prefix}/lib -L/usr/lib" 
+	configure.args-append	--enable-hcache
+	configure.env-append	LDFLAGS="-L${prefix}/lib -L/usr/lib" 
 }
 
@@ -100,5 +100,5 @@
 		depends_build-append	port:qdbm
 		configure.args-append	--enable-qdbm --without-bdb --without-gdbm
-		configure.env-append    CPPFLAGS="-I${prefix}/include" 
+		configure.env-append	CPPFLAGS="-I${prefix}/include" 
 }
 
@@ -106,34 +106,34 @@
 		depends_build-append	port:gdbm
 		configure.args-append	--enable-gdbm --without-bdb --without-qdbm
-		configure.env-append    CPPFLAGS="-I${prefix}/include" 
+		configure.env-append	CPPFLAGS="-I${prefix}/include" 
 }
 
 variant db4	{
-		depends_lib-append    port:db4
-		configure.args-append --enable-bdb --without-qdbm --without-gdbm
-		configure.env-append  CPPFLAGS="-I${prefix}/include/db4"
+		depends_lib-append		port:db4
+		configure.args-append	--enable-bdb --without-qdbm --without-gdbm
+		configure.env-append	CPPFLAGS="-I${prefix}/include/db4"
 }
 
 variant nntp {
-    configure.args-append	--enable-nntp
-    patch_sites-append		http://www.mutt.org.ua/download/mutt-1.5.11/
-    patchfiles-append		patch-1.5.11.vvv.nntp.gz
-    checksums-append		patch-1.5.11.vvv.nntp.gz md5 \
+	configure.args-append	--enable-nntp
+	patch_sites-append		http://www.mutt.org.ua/download/mutt-1.5.11/
+	patchfiles-append		patch-1.5.11.vvv.nntp.gz
+	checksums-append		patch-1.5.11.vvv.nntp.gz md5 \
 					f5a2f99940a4bbeef2d1062e9280462c
 }
 
 variant deepif {
-    patch_sites-append http://home.uchicago.edu/~dgc/sw/mutt/
-    patchfiles-append	patch-1.5.1.dgc.deepif.1
-    checksums-append		patch-1.5.1.dgc.deepif.1 md5 \
-					d106063ac67b8afe107ed62abff79976
+	patch_sites-append	http://home.uchicago.edu/~dgc/sw/mutt/
+	patchfiles-append	patch-1.5.1.dgc.deepif.1
+	checksums-append	patch-1.5.1.dgc.deepif.1 md5 \
+							d106063ac67b8afe107ed62abff79976
 }
 
 variant trash {
 # add purge patch without asking
-    patch_sites-append http://cedricduval.free.fr/mutt/patches/download/
-    patchfiles-append	patch-1.5.10.cd.trash_folder.3.4 \
+	patch_sites-append http://cedricduval.free.fr/mutt/patches/download/
+	patchfiles-append	patch-1.5.10.cd.trash_folder.3.4 \
 						patch-1.5.5.1.cd.purge_message.3.4
-    checksums-append	patch-1.5.10.cd.trash_folder.3.4 md5 \
+	checksums-append	patch-1.5.10.cd.trash_folder.3.4 md5 \
 						0d0dc2e8167107414d145fc735cd87ba \
 						patch-1.5.5.1.cd.purge_message.3.4 md5 \
@@ -144,7 +144,7 @@
 # whoa! messy FAIL
 #variant unbind conflicts {
-#    patch_sites-append http://home.uchicago.edu/~dgc/sw/mutt/
-#    patchfiles-append patch-1.5.1.dgc.unbind.1
-#    checksums-append	patch-1.5.1.dgc.unbind.1 md5 \
+#	patch_sites-append http://home.uchicago.edu/~dgc/sw/mutt/
+#	patchfiles-append patch-1.5.1.dgc.unbind.1
+#	checksums-append	patch-1.5.1.dgc.unbind.1 md5 \
 #					067f4702e17e0a80322b940bf206690d
 #}
@@ -152,16 +152,16 @@
 variant date_conditional requires deepif {
 # original, but now dgc hosts it with -p1
-#    patch_sites-append http://www.schrab.com/aaron/mutt/
-    patch_sites-append http://home.uchicago.edu/~dgc/sw/mutt/
-    patchfiles-append	patch-1.5.8.ats.date_conditional.1
-    checksums-append	patch-1.5.8.ats.date_conditional.1 md5 \
+#	patch_sites-append http://www.schrab.com/aaron/mutt/
+	patch_sites-append http://home.uchicago.edu/~dgc/sw/mutt/
+	patchfiles-append	patch-1.5.8.ats.date_conditional.1
+	checksums-append	patch-1.5.8.ats.date_conditional.1 md5 \
 					83479a011390802b3f9f1c0f95b15199
 }
 
 variant xlabel {
-    patch_sites-append http://home.uchicago.edu/~dgc/sw/mutt/
-    patchfiles-append	patch-0.20051006.1.dgc.xlabel_ext.7 \
+	patch_sites-append http://home.uchicago.edu/~dgc/sw/mutt/
+	patchfiles-append	patch-0.20051006.1.dgc.xlabel_ext.7 \
 						patch-1.5.8.dgc.xlabel_sort.1
-    checksums-append	patch-0.20051006.1.dgc.xlabel_ext.7 md5 \
+	checksums-append	patch-0.20051006.1.dgc.xlabel_ext.7 md5 \
 						c81a7c7cc201177205acc6c7f295ee4e \
 						patch-1.5.8.dgc.xlabel_sort.1 md5 \